/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.api.analyse.node;

import com.abssqr.plat.common.facade.enums.AnalyseServiceEnum;
import com.abssqr.plat.common.facade.enums.AnalyseTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.abssqr.plat.common.facade.result.analyse.AnalyseChartItemVO;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 统计图选择器参数结果上下文
 * @author hanfei
 * @version $Id: AnalyseChartContext.java, v 0.1 2019-09-26 12:04 AM hanfei Exp $ 
 */
public class AnalyseChartContext {
    
    /**
     * 计划编号
     */
    private PlanBase                 planBase;
    /**
     * 统计起始日
     */
    private Date                     startDate;
    /**
     * 统计截止日
     */
    private Date                     endDate;
    /**
     * 业务类型
     */
    private List<AnalyseServiceEnum> services;
    /**
     * 统计类型
     */
    private AnalyseTypeEnum          analyseType;
    /**
     * 统计图数据条目
     */
    private List<AnalyseChartItemVO> items = new ArrayList<>();
    
    public void addItems(List<AnalyseChartItemVO> items) {
        this.items.addAll(items);
    }
    
    public PlanBase getPlanBase() {
        return planBase;
    }
    
    public void setPlanBase(PlanBase planBase) {
        this.planBase = planBase;
    }
    
    public List<AnalyseServiceEnum> getServices() {
        return services;
    }
    
    public void setServices(List<AnalyseServiceEnum> services) {
        this.services = services;
    }
    
    public AnalyseTypeEnum getAnalyseType() {
        return analyseType;
    }
    
    public void setAnalyseType(AnalyseTypeEnum analyseType) {
        this.analyseType = analyseType;
    }
    
    public List<AnalyseChartItemVO> getItems() {
        return items;
    }
    
    public Date getStartDate() {
        return startDate;
    }
    
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }
    
    public Date getEndDate() {
        return endDate;
    }
    
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
