/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.biz.api.workbench;

import cn.hutool.core.collection.CollectionUtil;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.result.workbench.OrgPlanInfo;
import com.abssqr.plat.common.facade.service.workbench.WorkBenchQueryService;
import com.abssqr.plat.core.service.workbenchquery.WorkBenchQueryManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 工作台查询接口
 *
 * @author yangcheng
 * @version com.abssqr.admin.biz.service.workbench: WorkBenchQueryServiceImpl.java, v 0.1 2018-06-19 上午10:51 guozhenhua Exp $
 */
@Component
public class WorkBenchQueryServiceImpl implements WorkBenchQueryService {
    
    @Autowired
    private WorkBenchQueryManager   workBenchQueryManager;
    
    /**
     * 获取机构信息总览
     * @return
     */
    @Override
    public List<OrgPlanInfo> getOrgProductInfo() {
        // 放款池
        OrgPlanInfo spv = workBenchQueryManager.getOrgProductInfo(PlanTypeEnum.SPV);
        // 承接池
        OrgPlanInfo plan = workBenchQueryManager.getOrgProductInfo(PlanTypeEnum.PLAN);
        return CollectionUtil.newArrayList(spv, plan);
    }
  
}
