/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.biz.shared.dispatcher.match;

import com.abssqr.plat.biz.shared.dispatcher.DispatcherExecutor;
import com.abssqr.plat.biz.shared.dispatcher.DispatcherLoader;
import com.abssqr.plat.biz.shared.dispatcher.DispatcherStarter;
import com.abssqr.plat.common.model.domain.ast.AstPoolNode;
import com.abssqr.plat.common.model.repo.task.AstSyncTaskCtrRepo;
import com.abssqr.plat.common.model.repo.task.CommonTaskRepository;
import com.abssqr.plat.core.service.host.HostManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.biz.shared.dispatcher.match: PlanAstMatchDispatcherStarter.java, v 0.1 2019-11-12 11:03
 * bangis.wangdf Exp $
 */

@Component
@Configuration
public class PlanAstMatchDispatcherStarter extends DispatcherStarter<AstPoolNode> {

    @Autowired
    HostManager                   hostManager;
    @Autowired
    AstSyncTaskCtrRepo            astSyncTaskCtrRepo;
    @Autowired
    CommonTaskRepository          commonTaskRepository;
    @Autowired
    PlanAstMatchDispatcherLoader  planAstMatchDispatcherLoader;
    @Autowired
    PlanAstMatchDispatcherExecutor planAstMatchDispatcherExecutor;

    public static String JOB_NAME = "PlanAstMatchDispatcherStarter";

    private int coreSize = 2;

    private int maxSize = 2;

    private int hungrySize = 1;

    private int queueSize = 2;

    @Override
    protected void recovery() {
        commonTaskRepository.updateHangTasksByIp(hostManager.getHostInfo().getHostName());
    }

    @Override
    public String getName() {
        return JOB_NAME;
    }

    @Override
    protected int getCoreSize() {
        return coreSize;
    }

    @Override
    protected int getMaxSize() {
        return maxSize;
    }

    @Override
    protected int getQueueSize() {
        return queueSize;
    }

    @Override
    protected int getHungrySize() {
        return hungrySize;
    }

    @Override
    protected DispatcherLoader getLoader() {
        return planAstMatchDispatcherLoader;
    }

    @Override
    protected DispatcherExecutor getExecutor() {
        return planAstMatchDispatcherExecutor;
    }
}