/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.shared.handler;

import com.abssqr.plat.common.facade.model.plan.PlanAcctTitle;
import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.abssqr.plat.common.model.domain.plan.PlanAcctTitleTransDetail;
import com.abssqr.plat.common.model.repo.plan.PlanAcctTitleRepo;
import com.abssqr.plat.core.service.plan.PlanAcctTitleManager;
import com.abssqr.plat.core.service.plan.PlanSettleManager;
import com.general.system.common.util.LogUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 * 每日结息任务
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.shared.handler: PlanSettleHandler.java, v 0.1 2019-06-30 23:59 zhenxuan.luo Exp $ 
 */
@Component
public class PlanSettleHandler {
    
    private final static Logger LOGGER = LoggerFactory.getLogger(PlanSettleHandler.class);
    
    @Autowired
    private PlanAcctTitleRepo planAcctTitleRepo;
    
    @Autowired
    private PlanSettleManager planSettleManager;
    
    @Autowired
    private PlanAcctTitleManager planAcctTitleManager;
    
    /**
     * 每日结息任务
     * @param planEntity
     */
    public void execute(PlanBase planEntity, Date curDate) {
    
        LogUtil.info(LOGGER, "执行{0}[{1}]每日结息任务",
                planEntity.getPlanType().getDesc(), planEntity.getPlanNo());
        // 计划下所有科目信息
        List<PlanAcctTitle> planAcctTitles = planAcctTitleRepo.getByEntityNo(planEntity.getPlanNo());
    
        // 对科目进行结息操作
        List<PlanAcctTitleTransDetail> transDetails = planSettleManager.settle(planEntity, curDate, planAcctTitles, true);
        // 保存计划科目信息
        planAcctTitleManager.store(transDetails);
        LogUtil.info(LOGGER, "执行{0}[{1}]每日结息任务-结束",
                planEntity.getPlanType().getDesc(), planEntity.getPlanNo());
    
    }
}