/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2018 All Rights Reserved. 
 */
package com.abssqr.plat.biz.shared.interceptor;

import com.abssqr.plat.common.model.domain.task.DispatcherNode;
import com.abssqr.plat.common.util.constants.LogConstants;
import com.abssqr.plat.common.util.loggers.DigestLoggers;
import com.abssqr.plat.common.util.loggers.LogInfo;
import com.general.system.common.util.LogUtil;
import org.slf4j.Logger;

/**
 *
 * @author zhenxuan.luo
 * @version com.loan.biz.service.inteceptor: BizServiceInterceptor.java, v 0.1 2018-12-19 AM11:38 zhenxuan.luo Exp $ 
 */
public class TaskDigestLogUtil {
    
    /** logger */
    private final static Logger DIGEST_LOGGER = DigestLoggers.TASK_DIGEST;
    
    /**
     * 构建调用方基础信息
     *
     * @param taskName
     */
    public static LogInfo initDigestLogCallerInfo(String taskName) {
        LogUtil.setSign();
        //设置日志摘要信息
        LogInfo logInfo = new LogInfo();
        logInfo.setFacadeName(taskName);
        
        return logInfo;
    }
    
    /**
     * 构建操作类型的摘要日志
     *
     * @param logInfo
     * @param throwable
     */
    public static void logDigest(LogInfo logInfo, Throwable throwable, DispatcherNode node) {
        
        //1.1 构建开始标志
        StringBuilder sb = new StringBuilder(400);
        sb.append(LogConstants.FMT_BEGIN);
        
        sb.append(logInfo.getFacadeName()).append(LogConstants.COMMA);
        sb.append(throwable == null ? LogConstants.YES : LogConstants.NO).append(LogConstants.COMMA);
        sb.append(logInfo.getElapseTime()).append(LogConstants.MS);
        
        sb.append(LogConstants.FMT_MIDDLE);


        sb.append(node == null ? LogConstants.NONE : node.getTaskStatus()!=null?node.getTaskStatus().getCode():LogConstants.NONE);
        
        sb.append(LogConstants.FMT_END);
        sb.append(LogConstants.FMT_BEGIN);
        sb.append(LogUtil.getSign());
        sb.append(LogConstants.FMT_END);
        //2 写入摘要日志文件
        if (DIGEST_LOGGER.isInfoEnabled()) {
            DIGEST_LOGGER.info(sb.toString());
        }
        LogUtil.clearSign();
    }
}