package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanAstProfitLogDO;
import java.util.List;
import java.util.Date;
import java.lang.Long;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanAstProfitStat;
import com.abssqr.plat.common.dal.mysql.auto.mapper.LoanAstProfitLogDOMapper;

/**
* The Table abs_loan_ast_profit_log.
* ABS_LOAN_AST_PROFIT_LOG
*/
@Repository
public class LoanAstProfitLogDAO{

    @Autowired
    private LoanAstProfitLogDOMapper loanAstProfitLogDOMapper;

    /**
     * desc:批量插入表:abs_loan_ast_profit_log.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<LoanAstProfitLogDO> list){
        loanAstProfitLogDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:计算金融服务费.<br/>
     * @param accountDate accountDate
     * @param orgCode orgCode
     * @return Long
     */
    
    public Long calcOrgDistPftAmt(Date accountDate,String orgCode){
        return loanAstProfitLogDOMapper.calcOrgDistPftAmt(accountDate, orgCode);
    }
    /**
     * desc:计算还款服务费应计与实还.<br/>
     * @param accountDate accountDate
     * @param orgCode orgCode
     * @param splitOrgCode splitOrgCode
     * @return LoanAstProfitStat
     */
    
    public LoanAstProfitStat repayOrgDistPftAmt(Date accountDate,String orgCode,String splitOrgCode){
        return loanAstProfitLogDOMapper.repayOrgDistPftAmt(accountDate, orgCode, splitOrgCode);
    }
}
