package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanContractDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.LoanContractDOMapper;

/**
* The Table abs_loan_contract.
* 借款合同
*/
@Repository
public class LoanContractDAO{

    @Autowired
    private LoanContractDOMapper loanContractDOMapper;

    /**
     * desc:插入表:abs_loan_contract.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(LoanContractDO entity){
        return loanContractDOMapper.insert(entity);
    }
    /**
     * desc:根据唯一约束OutContNo获取数据:abs_loan_contract.<br/>
     * @param astNo astNo
     * @return LoanContractDO
     */
    
    public LoanContractDO getByAstNo(String astNo){
        return loanContractDOMapper.getByAstNo(astNo);
    }
    /**
     * desc:根据唯一约束OutContNo获取数据:abs_loan_contract.<br/>
     * @param astNos astNos
     * @return List<LoanContractDO>
     */
    
    public List<LoanContractDO> getByAstNos(List<String> astNos){
    if(astNos!=null && astNos.size()>201){throw new RuntimeException("astNos 超出201长度限制");}
        return loanContractDOMapper.getByAstNos(astNos);
    }
}
