package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.OrganizationEntityDO;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.LinkedHashMap;
import java.util.ArrayList;
import java.util.HashSet;
import com.abssqr.plat.common.dal.mysql.auto.mapper.OrganizationEntityDOMapper;

/**
* The Table abs_organization_entity.
* 机构参与实体
*/
@Repository
public class OrganizationEntityDAO{

    @Autowired
    private OrganizationEntityDOMapper organizationEntityDOMapper;

    /**
     * desc:插入表:abs_organization_entity.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(OrganizationEntityDO entity){
        return organizationEntityDOMapper.insert(entity);
    }
    /**
     * desc:更新表:abs_organization_entity.<br/>
     * @param entity entity
     * @return int
     */
    
    public int updateByEntityCode(OrganizationEntityDO entity){
        return organizationEntityDOMapper.updateByEntityCode(entity);
    }
    /**
     * desc:根据唯一约束获取数据:abs_organization_entity.<br/>
     * @param entityCode entityCode
     * @return OrganizationEntityDO
     */
    
    public OrganizationEntityDO getByEntityCode(String entityCode){
        return organizationEntityDOMapper.getByEntityCode(entityCode);
    }
     /**
     * desc:根据唯一约束获取数据:abs_organization_entity.<br/>
     * @param list list
     * @return Map<String,OrganizationEntityDO>
     */
    
    public List<OrganizationEntityDO> getByEntityCodesList(List<String> list){
        return organizationEntityDOMapper.getByEntityCodes(list);
    }
    /**
     * desc:根据唯一约束获取数据:abs_organization_entity.<br/>
     * @param list list
     * @return Map<String,OrganizationEntityDO>
     */
    
    public Map<String,OrganizationEntityDO> getByEntityCodes(List<String> list){
    if(list!=null && list.size()>201){throw new RuntimeException("list 超出201长度限制");}
        Map<String,OrganizationEntityDO> result = new LinkedHashMap();
        List<OrganizationEntityDO> resultList = organizationEntityDOMapper.getByEntityCodes(list);
        if(resultList!=null && !resultList.isEmpty()){
            for(OrganizationEntityDO entity:resultList){
                result.put(entity.getEntityCode(),entity);
            }
        }
        return result;
    }
    /**
     * desc:根据服务机构获取放款机构.<br/>
     * @param managerOrgCode managerOrgCode
     * @return List<OrganizationEntityDO>
     */
    
    public List<OrganizationEntityDO> getByManagerOrgCode(String managerOrgCode){
        return organizationEntityDOMapper.getByManagerOrgCode(managerOrgCode);
    }
    /**
     * desc:根据机构编号删除对应机构.<br/>
     * @param entityCode entityCode
     * @return int
     */
    
    public int deleteByEntityCode(String entityCode){
        return organizationEntityDOMapper.deleteByEntityCode(entityCode);
    }
}
