package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAcctTitleDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanAcctTitleDOMapper;

/**
* The Table abs_plan_acct_title.
* 计划结算科目信息（收付实现制）
*/
@Repository
public class PlanAcctTitleDAO{

    @Autowired
    private PlanAcctTitleDOMapper planAcctTitleDOMapper;

    /**
     * desc:插入表:abs_plan_acct_title.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanAcctTitleDO entity){
        return planAcctTitleDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_acct_title.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanAcctTitleDO> list){
        planAcctTitleDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据唯一约束AbsPlanAcctTitle更新表:abs_plan_acct_title.<br/>
     * @param entity entity
     * @return int
     */
    
    public int updateAmt(PlanAcctTitleDO entity){
        return planAcctTitleDOMapper.updateAmt(entity);
    }
    /**
     * desc:根据唯一约束AbsPlanAcctTitle删除数据:abs_plan_acct_title.<br/>
     * @param planNo planNo
     * @return List<PlanAcctTitleDO>
     */
    
    public List<PlanAcctTitleDO> getByPlan(String planNo){
        return planAcctTitleDOMapper.getByPlan(planNo);
    }
    /**
     * desc:根据唯一约束AbsPlanAcctTitle删除数据:abs_plan_acct_title.<br/>
     * @param planNo planNo
     * @param listTitleType listTitleType
     * @return List<PlanAcctTitleDO>
     */
    
    public List<PlanAcctTitleDO> getByPlanAndTypes(String planNo,List<String> listTitleType){
    if(listTitleType!=null && listTitleType.size()>201){throw new RuntimeException("listTitleType 超出201长度限制");}
        return planAcctTitleDOMapper.getByPlanAndTypes(planNo, listTitleType);
    }
    /**
     * desc:根据唯一约束AbsPlanAcctTitle删除数据:abs_plan_acct_title.<br/>
     * @param list list
     * @return List<PlanAcctTitleDO>
     */
    
    public List<PlanAcctTitleDO> getFinFeesByPlan(List<String> list){
    if(list!=null && list.size()>201){throw new RuntimeException("list 超出201长度限制");}
        return planAcctTitleDOMapper.getFinFeesByPlan(list);
    }
    /**
     * desc:根据唯一约束AbsPlanAcctTitle获取数据:abs_plan_acct_title.<br/>
     * @param planNo planNo
     * @param titleNo titleNo
     * @return PlanAcctTitleDO
     */
    
    public PlanAcctTitleDO getByTitleNo(String planNo,String titleNo){
        return planAcctTitleDOMapper.getByTitleNo(planNo, titleNo);
    }
    /**
     * desc:根据计划编号删除分配信息.<br/>
     * @param planNo planNo
     * @return int
     */
    
    public int deleteByPlanNo(String planNo){
        return planAcctTitleDOMapper.deleteByPlanNo(planNo);
    }
}
