package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFundFileDO;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanFundFileDOMapper;

/**
* The Table abs_plan_fund_file.
* 资金计划文件信息
*/
@Repository
public class PlanFundFileDAO{

    @Autowired
    private PlanFundFileDOMapper planFundFileDOMapper;

    /**
     * desc:插入表:abs_plan_fund_file.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanFundFileDO entity){
        return planFundFileDOMapper.insert(entity);
    }
    /**
     * desc:根据主键删除数据:abs_plan_fund_file.<br/>
     * @param id id
     * @return int
     */
    
    public int deleteById(Long id){
        return planFundFileDOMapper.deleteById(id);
    }
    /**
     * desc:根据文件id获取文件信息.<br/>
     * @param fileId fileId
     * @return PlanFundFileDO
     */
    
    public PlanFundFileDO getByFileId(String fileId){
        return planFundFileDOMapper.getByFileId(fileId);
    }
    /**
     * desc:获取最新文件信息.<br/>
     * @param planNo planNo
     * @return PlanFundFileDO
     */
    
    public PlanFundFileDO queryFileInfo(String planNo){
        return planFundFileDOMapper.queryFileInfo(planNo);
    }
}
