package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;
import com.general.system.common.model.Money;

/**
 * The table 借款合同
 */
public class LoanContractDO{

    /**
     * id 自增ID.
     */
    private Long id;
    /**
     * city 城市.
     */
    private String city;
    /**
     * name 借款人姓名.
     */
    private String name;
    /**
     * astNo 贷款账单的唯一编号，可与合同编号相同.
     */
    private String astNo;
    /**
     * certNo 借款人证件号.
     */
    private String certNo;
    /**
     * contNo 贷款合同的唯一编号.
     */
    private String contNo;
    /**
     * prodNo 贷款产品编码.
     */
    private String prodNo;
    /**
     * userId .
     */
    private String userId;
    /**
     * purpose 贷款用途.
     */
    private String purpose;
    /**
     * applyLoc 申请地址.
     */
    private String applyLoc;
    /**
     * certType 借款人证件类型.
     */
    private String certType;
    /**
     * loanType 贷款类型.
     */
    private String loanType;
    /**
     * mobileNo 手机号.
     */
    private String mobileNo;
    /**
     * outAstNo 外部资产编号.
     */
    private String outAstNo;
    /**
     * province 省份.
     */
    private String province;
    /**
     * rateType 利率类型.
     */
    private String rateType;
    /**
     * grantType 出资类型.
     */
    private String grantType;
    /**
     * outContNo 外部贷款合同编号.
     */
    private String outContNo;
    /**
     * repayMethod 还款方式.
     */
    private String repayMethod;
    /**
     * lenderOrgCode 原始权益机构（计划）.
     */
    private String lenderOrgCode;
    /**
     * managerOrgCode 资产管理服务机构.
     */
    private String managerOrgCode;
    /**
     * sponserOrgCode 业务牵头机构.
     */
    private String sponserOrgCode;
    /**
     * repayPeriodType 还款周期类型.
     */
    private String repayPeriodType;
    /**
     * termCnt 总期数.
     */
    private Integer termCnt;
    /**
     * rateDays 日化天数.
     */
    private Integer rateDays;
    /**
     * repayPeriod 还款周期.
     */
    private Integer repayPeriod;
    /**
     * endDate 借据到期日期.
     */
    private Date endDate;
    /**
     * disbDate 借款人发起支用的会计日期.
     */
    private Date disbDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * startDate 借据开始日期(YYYYMMDD).
     */
    private Date startDate;
    /**
     * effectDate 实际起息日期YYYYMMDD.
     */
    private Date effectDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * rate 利率.
     */
    private BigDecimal rate;
    /**
     * pnyRate 罚息利率.
     */
    private BigDecimal pnyRate;
    /**
     * disbAmount 放款金额.
     */
    private Money disbAmount;

    /**
     * Set id 自增ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 自增ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set city 城市.
     */
    public void setCity(String city){
        this.city = city;
    }

    /**
     * Get city 城市.
     *
     * @return the string
     */
    public String getCity(){
        return city;
    }

    /**
     * Set name 借款人姓名.
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * Get name 借款人姓名.
     *
     * @return the string
     */
    public String getName(){
        return name;
    }

    /**
     * Set astNo 贷款账单的唯一编号，可与合同编号相同.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 贷款账单的唯一编号，可与合同编号相同.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set certNo 借款人证件号.
     */
    public void setCertNo(String certNo){
        this.certNo = certNo;
    }

    /**
     * Get certNo 借款人证件号.
     *
     * @return the string
     */
    public String getCertNo(){
        return certNo;
    }

    /**
     * Set contNo 贷款合同的唯一编号.
     */
    public void setContNo(String contNo){
        this.contNo = contNo;
    }

    /**
     * Get contNo 贷款合同的唯一编号.
     *
     * @return the string
     */
    public String getContNo(){
        return contNo;
    }

    /**
     * Set prodNo 贷款产品编码.
     */
    public void setProdNo(String prodNo){
        this.prodNo = prodNo;
    }

    /**
     * Get prodNo 贷款产品编码.
     *
     * @return the string
     */
    public String getProdNo(){
        return prodNo;
    }

    /**
     * Set userId .
     */
    public void setUserId(String userId){
        this.userId = userId;
    }

    /**
     * Get userId .
     *
     * @return the string
     */
    public String getUserId(){
        return userId;
    }

    /**
     * Set purpose 贷款用途.
     */
    public void setPurpose(String purpose){
        this.purpose = purpose;
    }

    /**
     * Get purpose 贷款用途.
     *
     * @return the string
     */
    public String getPurpose(){
        return purpose;
    }

    /**
     * Set applyLoc 申请地址.
     */
    public void setApplyLoc(String applyLoc){
        this.applyLoc = applyLoc;
    }

    /**
     * Get applyLoc 申请地址.
     *
     * @return the string
     */
    public String getApplyLoc(){
        return applyLoc;
    }

    /**
     * Set certType 借款人证件类型.
     */
    public void setCertType(String certType){
        this.certType = certType;
    }

    /**
     * Get certType 借款人证件类型.
     *
     * @return the string
     */
    public String getCertType(){
        return certType;
    }

    /**
     * Set loanType 贷款类型.
     */
    public void setLoanType(String loanType){
        this.loanType = loanType;
    }

    /**
     * Get loanType 贷款类型.
     *
     * @return the string
     */
    public String getLoanType(){
        return loanType;
    }

    /**
     * Set mobileNo 手机号.
     */
    public void setMobileNo(String mobileNo){
        this.mobileNo = mobileNo;
    }

    /**
     * Get mobileNo 手机号.
     *
     * @return the string
     */
    public String getMobileNo(){
        return mobileNo;
    }

    /**
     * Set outAstNo 外部资产编号.
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo 外部资产编号.
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set province 省份.
     */
    public void setProvince(String province){
        this.province = province;
    }

    /**
     * Get province 省份.
     *
     * @return the string
     */
    public String getProvince(){
        return province;
    }

    /**
     * Set rateType 利率类型.
     */
    public void setRateType(String rateType){
        this.rateType = rateType;
    }

    /**
     * Get rateType 利率类型.
     *
     * @return the string
     */
    public String getRateType(){
        return rateType;
    }

    /**
     * Set grantType 出资类型.
     */
    public void setGrantType(String grantType){
        this.grantType = grantType;
    }

    /**
     * Get grantType 出资类型.
     *
     * @return the string
     */
    public String getGrantType(){
        return grantType;
    }

    /**
     * Set outContNo 外部贷款合同编号.
     */
    public void setOutContNo(String outContNo){
        this.outContNo = outContNo;
    }

    /**
     * Get outContNo 外部贷款合同编号.
     *
     * @return the string
     */
    public String getOutContNo(){
        return outContNo;
    }

    /**
     * Set repayMethod 还款方式.
     */
    public void setRepayMethod(String repayMethod){
        this.repayMethod = repayMethod;
    }

    /**
     * Get repayMethod 还款方式.
     *
     * @return the string
     */
    public String getRepayMethod(){
        return repayMethod;
    }

    /**
     * Set lenderOrgCode 原始权益机构（计划）.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 原始权益机构（计划）.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set managerOrgCode 资产管理服务机构.
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode 资产管理服务机构.
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set sponserOrgCode 业务牵头机构.
     */
    public void setSponserOrgCode(String sponserOrgCode){
        this.sponserOrgCode = sponserOrgCode;
    }

    /**
     * Get sponserOrgCode 业务牵头机构.
     *
     * @return the string
     */
    public String getSponserOrgCode(){
        return sponserOrgCode;
    }

    /**
     * Set repayPeriodType 还款周期类型.
     */
    public void setRepayPeriodType(String repayPeriodType){
        this.repayPeriodType = repayPeriodType;
    }

    /**
     * Get repayPeriodType 还款周期类型.
     *
     * @return the string
     */
    public String getRepayPeriodType(){
        return repayPeriodType;
    }

    /**
     * Set termCnt 总期数.
     */
    public void setTermCnt(Integer termCnt){
        this.termCnt = termCnt;
    }

    /**
     * Get termCnt 总期数.
     *
     * @return the string
     */
    public Integer getTermCnt(){
        return termCnt;
    }

    /**
     * Set rateDays 日化天数.
     */
    public void setRateDays(Integer rateDays){
        this.rateDays = rateDays;
    }

    /**
     * Get rateDays 日化天数.
     *
     * @return the string
     */
    public Integer getRateDays(){
        return rateDays;
    }

    /**
     * Set repayPeriod 还款周期.
     */
    public void setRepayPeriod(Integer repayPeriod){
        this.repayPeriod = repayPeriod;
    }

    /**
     * Get repayPeriod 还款周期.
     *
     * @return the string
     */
    public Integer getRepayPeriod(){
        return repayPeriod;
    }

    /**
     * Set endDate 借据到期日期.
     */
    public void setEndDate(Date endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 借据到期日期.
     *
     * @return the string
     */
    public Date getEndDate(){
        return endDate;
    }

    /**
     * Set disbDate 借款人发起支用的会计日期.
     */
    public void setDisbDate(Date disbDate){
        this.disbDate = disbDate;
    }

    /**
     * Get disbDate 借款人发起支用的会计日期.
     *
     * @return the string
     */
    public Date getDisbDate(){
        return disbDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set startDate 借据开始日期(YYYYMMDD).
     */
    public void setStartDate(Date startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate 借据开始日期(YYYYMMDD).
     *
     * @return the string
     */
    public Date getStartDate(){
        return startDate;
    }

    /**
     * Set effectDate 实际起息日期YYYYMMDD.
     */
    public void setEffectDate(Date effectDate){
        this.effectDate = effectDate;
    }

    /**
     * Get effectDate 实际起息日期YYYYMMDD.
     *
     * @return the string
     */
    public Date getEffectDate(){
        return effectDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set rate 利率.
     */
    public void setRate(BigDecimal rate){
        this.rate = rate;
    }

    /**
     * Get rate 利率.
     *
     * @return the string
     */
    public BigDecimal getRate(){
        return rate;
    }

    /**
     * Set pnyRate 罚息利率.
     */
    public void setPnyRate(BigDecimal pnyRate){
        this.pnyRate = pnyRate;
    }

    /**
     * Get pnyRate 罚息利率.
     *
     * @return the string
     */
    public BigDecimal getPnyRate(){
        return pnyRate;
    }

    /**
     * Set disbAmount 放款金额.
     */
    public void setDisbAmount(Money disbAmount){
        this.disbAmount = disbAmount;
    }

    /**
     * Get disbAmount 放款金额.
     *
     * @return the string
     */
    public Money getDisbAmount(){
        if(disbAmount==null){
            return new Money();
        }
        return disbAmount;
    }
}
