package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table 资产变更流水
 */
public class LoanLogDO{

    /**
     * memo 备注.
     */
    private String memo;
    /**
     * astNo 资产编号.
     */
    private String astNo;
    /**
     * bizNo 内部业务流水号.
     */
    private String bizNo;
    /**
     * seqNo 日志流水号.
     */
    private String seqNo;
    /**
     * ownOrg 所属机构（计划）.
     */
    private String ownOrg;
    /**
     * prodNo 产品码.
     */
    private String prodNo;
    /**
     * userId .
     */
    private String userId;
    /**
     * execTms 执行时间戳.
     */
    private String execTms;
    /**
     * ownPack 所属资产包.
     */
    private String ownPack;
    /**
     * afRiskCl 交易后五级分类.
     */
    private String afRiskCl;
    /**
     * afStatus 交易后状态.
     */
    private String afStatus;
    /**
     * bfRiskCl 客户五级分类.
     */
    private String bfRiskCl;
    /**
     * bfStatus 原状态.
     */
    private String bfStatus;
    /**
     * outAstNo 外部资产编号.
     */
    private String outAstNo;
    /**
     * outBizNo 外部业务流水号.
     */
    private String outBizNo;
    /**
     * eventCode 交易码.
     */
    private String eventCode;
    /**
     * outProdNo 外部产品码.
     */
    private String outProdNo;
    /**
     * transCode 场景码.
     */
    private String transCode;
    /**
     * contractNo 合同编号.
     */
    private String contractNo;
    /**
     * afCapitalNo 交易后资金编号.
     */
    private String afCapitalNo;
    /**
     * afOwnStatus .
     */
    private String afOwnStatus;
    /**
     * afWtfStatus .
     */
    private String afWtfStatus;
    /**
     * bfCapitalNo 前资金编号.
     */
    private String bfCapitalNo;
    /**
     * bfOwnStatus .
     */
    private String bfOwnStatus;
    /**
     * bfWtfStatus .
     */
    private String bfWtfStatus;
    /**
     * lenderOrgCode 原始权益机构（计划）.
     */
    private String lenderOrgCode;
    /**
     * managerOrgCode 资产管理服务机构.
     */
    private String managerOrgCode;
    /**
     * sponserOrgCode 业务牵头机构.
     */
    private String sponserOrgCode;
    /**
     * afOvdDays 交易后逾期天数.
     */
    private Integer afOvdDays;
    /**
     * afTermCnt 交易后期数.
     */
    private Integer afTermCnt;
    /**
     * bfOvdDays 原逾期天数.
     */
    private Integer bfOvdDays;
    /**
     * bfTermCnt 原期数.
     */
    private Integer bfTermCnt;
    /**
     * afEndDate 交易后结束日期(YYYYMMDD).
     */
    private Date afEndDate;
    /**
     * bfEndDate 原结束日期(YYYYMMDD).
     */
    private Date bfEndDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * transTime 交易时间.
     */
    private Date transTime;
    /**
     * accountDate 会计日期.
     */
    private Date accountDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * feeAmt 单指分期手续费发生额.
     */
    private Money feeAmt;
    /**
     * clrgAmt 清算金额.
     */
    private Money clrgAmt;
    /**
     * intrAmt 利息发生额.
     */
    private Money intrAmt;
    /**
     * prinAmt 本金发生额.
     */
    private Money prinAmt;
    /**
     * afFeeBal 交易后费用余额.
     */
    private Money afFeeBal;
    /**
     * afIntrBal 交易后利息余额.
     */
    private Money afIntrBal;
    /**
     * afPrinBal 交易后本金余额.
     */
    private Money afPrinBal;
    /**
     * ovdFeeAmt .
     */
    private Money ovdFeeAmt;
    /**
     * ovdIntrAmt .
     */
    private Money ovdIntrAmt;
    /**
     * ovdPrinAmt .
     */
    private Money ovdPrinAmt;
    /**
     * afOvdFeeBal .
     */
    private Money afOvdFeeBal;
    /**
     * feePenalAmt 由分期费用逾期产生的滞纳金余额发生额.
     */
    private Money feePenalAmt;
    /**
     * otherFeeAmt 其他费用发生额.
     */
    private Money otherFeeAmt;
    /**
     * afOvdIntrBal .
     */
    private Money afOvdIntrBal;
    /**
     * afOvdPrinBal .
     */
    private Money afOvdPrinBal;
    /**
     * intrPenalAmt 由逾期利息产生的罚息发生额.
     */
    private Money intrPenalAmt;
    /**
     * prinPenalAmt 由逾期本金产生的罚息发生额.
     */
    private Money prinPenalAmt;
    /**
     * afFeePenalBal 交易后滞纳金余额.
     */
    private Money afFeePenalBal;
    /**
     * afOtherFeeBal 变更后其他费用余额.
     */
    private Money afOtherFeeBal;
    /**
     * afIntrPenalBal 交易后利息余额.
     */
    private Money afIntrPenalBal;
    /**
     * afPrinPenalBal 交易后本罚余额.
     */
    private Money afPrinPenalBal;

    /**
     * Set memo 备注.
     */
    public void setMemo(String memo){
        this.memo = memo;
    }

    /**
     * Get memo 备注.
     *
     * @return the string
     */
    public String getMemo(){
        return memo;
    }

    /**
     * Set astNo 资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set bizNo 内部业务流水号.
     */
    public void setBizNo(String bizNo){
        this.bizNo = bizNo;
    }

    /**
     * Get bizNo 内部业务流水号.
     *
     * @return the string
     */
    public String getBizNo(){
        return bizNo;
    }

    /**
     * Set seqNo 日志流水号.
     */
    public void setSeqNo(String seqNo){
        this.seqNo = seqNo;
    }

    /**
     * Get seqNo 日志流水号.
     *
     * @return the string
     */
    public String getSeqNo(){
        return seqNo;
    }

    /**
     * Set ownOrg 所属机构（计划）.
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg 所属机构（计划）.
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set prodNo 产品码.
     */
    public void setProdNo(String prodNo){
        this.prodNo = prodNo;
    }

    /**
     * Get prodNo 产品码.
     *
     * @return the string
     */
    public String getProdNo(){
        return prodNo;
    }

    /**
     * Set userId .
     */
    public void setUserId(String userId){
        this.userId = userId;
    }

    /**
     * Get userId .
     *
     * @return the string
     */
    public String getUserId(){
        return userId;
    }

    /**
     * Set execTms 执行时间戳.
     */
    public void setExecTms(String execTms){
        this.execTms = execTms;
    }

    /**
     * Get execTms 执行时间戳.
     *
     * @return the string
     */
    public String getExecTms(){
        return execTms;
    }

    /**
     * Set ownPack 所属资产包.
     */
    public void setOwnPack(String ownPack){
        this.ownPack = ownPack;
    }

    /**
     * Get ownPack 所属资产包.
     *
     * @return the string
     */
    public String getOwnPack(){
        return ownPack;
    }

    /**
     * Set afRiskCl 交易后五级分类.
     */
    public void setAfRiskCl(String afRiskCl){
        this.afRiskCl = afRiskCl;
    }

    /**
     * Get afRiskCl 交易后五级分类.
     *
     * @return the string
     */
    public String getAfRiskCl(){
        return afRiskCl;
    }

    /**
     * Set afStatus 交易后状态.
     */
    public void setAfStatus(String afStatus){
        this.afStatus = afStatus;
    }

    /**
     * Get afStatus 交易后状态.
     *
     * @return the string
     */
    public String getAfStatus(){
        return afStatus;
    }

    /**
     * Set bfRiskCl 客户五级分类.
     */
    public void setBfRiskCl(String bfRiskCl){
        this.bfRiskCl = bfRiskCl;
    }

    /**
     * Get bfRiskCl 客户五级分类.
     *
     * @return the string
     */
    public String getBfRiskCl(){
        return bfRiskCl;
    }

    /**
     * Set bfStatus 原状态.
     */
    public void setBfStatus(String bfStatus){
        this.bfStatus = bfStatus;
    }

    /**
     * Get bfStatus 原状态.
     *
     * @return the string
     */
    public String getBfStatus(){
        return bfStatus;
    }

    /**
     * Set outAstNo 外部资产编号.
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo 外部资产编号.
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set outBizNo 外部业务流水号.
     */
    public void setOutBizNo(String outBizNo){
        this.outBizNo = outBizNo;
    }

    /**
     * Get outBizNo 外部业务流水号.
     *
     * @return the string
     */
    public String getOutBizNo(){
        return outBizNo;
    }

    /**
     * Set eventCode 交易码.
     */
    public void setEventCode(String eventCode){
        this.eventCode = eventCode;
    }

    /**
     * Get eventCode 交易码.
     *
     * @return the string
     */
    public String getEventCode(){
        return eventCode;
    }

    /**
     * Set outProdNo 外部产品码.
     */
    public void setOutProdNo(String outProdNo){
        this.outProdNo = outProdNo;
    }

    /**
     * Get outProdNo 外部产品码.
     *
     * @return the string
     */
    public String getOutProdNo(){
        return outProdNo;
    }

    /**
     * Set transCode 场景码.
     */
    public void setTransCode(String transCode){
        this.transCode = transCode;
    }

    /**
     * Get transCode 场景码.
     *
     * @return the string
     */
    public String getTransCode(){
        return transCode;
    }

    /**
     * Set contractNo 合同编号.
     */
    public void setContractNo(String contractNo){
        this.contractNo = contractNo;
    }

    /**
     * Get contractNo 合同编号.
     *
     * @return the string
     */
    public String getContractNo(){
        return contractNo;
    }

    /**
     * Set afCapitalNo 交易后资金编号.
     */
    public void setAfCapitalNo(String afCapitalNo){
        this.afCapitalNo = afCapitalNo;
    }

    /**
     * Get afCapitalNo 交易后资金编号.
     *
     * @return the string
     */
    public String getAfCapitalNo(){
        return afCapitalNo;
    }

    /**
     * Set afOwnStatus .
     */
    public void setAfOwnStatus(String afOwnStatus){
        this.afOwnStatus = afOwnStatus;
    }

    /**
     * Get afOwnStatus .
     *
     * @return the string
     */
    public String getAfOwnStatus(){
        return afOwnStatus;
    }

    /**
     * Set afWtfStatus .
     */
    public void setAfWtfStatus(String afWtfStatus){
        this.afWtfStatus = afWtfStatus;
    }

    /**
     * Get afWtfStatus .
     *
     * @return the string
     */
    public String getAfWtfStatus(){
        return afWtfStatus;
    }

    /**
     * Set bfCapitalNo 前资金编号.
     */
    public void setBfCapitalNo(String bfCapitalNo){
        this.bfCapitalNo = bfCapitalNo;
    }

    /**
     * Get bfCapitalNo 前资金编号.
     *
     * @return the string
     */
    public String getBfCapitalNo(){
        return bfCapitalNo;
    }

    /**
     * Set bfOwnStatus .
     */
    public void setBfOwnStatus(String bfOwnStatus){
        this.bfOwnStatus = bfOwnStatus;
    }

    /**
     * Get bfOwnStatus .
     *
     * @return the string
     */
    public String getBfOwnStatus(){
        return bfOwnStatus;
    }

    /**
     * Set bfWtfStatus .
     */
    public void setBfWtfStatus(String bfWtfStatus){
        this.bfWtfStatus = bfWtfStatus;
    }

    /**
     * Get bfWtfStatus .
     *
     * @return the string
     */
    public String getBfWtfStatus(){
        return bfWtfStatus;
    }

    /**
     * Set lenderOrgCode 原始权益机构（计划）.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 原始权益机构（计划）.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set managerOrgCode 资产管理服务机构.
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode 资产管理服务机构.
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set sponserOrgCode 业务牵头机构.
     */
    public void setSponserOrgCode(String sponserOrgCode){
        this.sponserOrgCode = sponserOrgCode;
    }

    /**
     * Get sponserOrgCode 业务牵头机构.
     *
     * @return the string
     */
    public String getSponserOrgCode(){
        return sponserOrgCode;
    }

    /**
     * Set afOvdDays 交易后逾期天数.
     */
    public void setAfOvdDays(Integer afOvdDays){
        this.afOvdDays = afOvdDays;
    }

    /**
     * Get afOvdDays 交易后逾期天数.
     *
     * @return the string
     */
    public Integer getAfOvdDays(){
        return afOvdDays;
    }

    /**
     * Set afTermCnt 交易后期数.
     */
    public void setAfTermCnt(Integer afTermCnt){
        this.afTermCnt = afTermCnt;
    }

    /**
     * Get afTermCnt 交易后期数.
     *
     * @return the string
     */
    public Integer getAfTermCnt(){
        return afTermCnt;
    }

    /**
     * Set bfOvdDays 原逾期天数.
     */
    public void setBfOvdDays(Integer bfOvdDays){
        this.bfOvdDays = bfOvdDays;
    }

    /**
     * Get bfOvdDays 原逾期天数.
     *
     * @return the string
     */
    public Integer getBfOvdDays(){
        return bfOvdDays;
    }

    /**
     * Set bfTermCnt 原期数.
     */
    public void setBfTermCnt(Integer bfTermCnt){
        this.bfTermCnt = bfTermCnt;
    }

    /**
     * Get bfTermCnt 原期数.
     *
     * @return the string
     */
    public Integer getBfTermCnt(){
        return bfTermCnt;
    }

    /**
     * Set afEndDate 交易后结束日期(YYYYMMDD).
     */
    public void setAfEndDate(Date afEndDate){
        this.afEndDate = afEndDate;
    }

    /**
     * Get afEndDate 交易后结束日期(YYYYMMDD).
     *
     * @return the string
     */
    public Date getAfEndDate(){
        return afEndDate;
    }

    /**
     * Set bfEndDate 原结束日期(YYYYMMDD).
     */
    public void setBfEndDate(Date bfEndDate){
        this.bfEndDate = bfEndDate;
    }

    /**
     * Get bfEndDate 原结束日期(YYYYMMDD).
     *
     * @return the string
     */
    public Date getBfEndDate(){
        return bfEndDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set transTime 交易时间.
     */
    public void setTransTime(Date transTime){
        this.transTime = transTime;
    }

    /**
     * Get transTime 交易时间.
     *
     * @return the string
     */
    public Date getTransTime(){
        return transTime;
    }

    /**
     * Set accountDate 会计日期.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 会计日期.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set feeAmt 单指分期手续费发生额.
     */
    public void setFeeAmt(Money feeAmt){
        this.feeAmt = feeAmt;
    }

    /**
     * Get feeAmt 单指分期手续费发生额.
     *
     * @return the string
     */
    public Money getFeeAmt(){
        if(feeAmt==null){
            return new Money();
        }
        return feeAmt;
    }

    /**
     * Set clrgAmt 清算金额.
     */
    public void setClrgAmt(Money clrgAmt){
        this.clrgAmt = clrgAmt;
    }

    /**
     * Get clrgAmt 清算金额.
     *
     * @return the string
     */
    public Money getClrgAmt(){
        if(clrgAmt==null){
            return new Money();
        }
        return clrgAmt;
    }

    /**
     * Set intrAmt 利息发生额.
     */
    public void setIntrAmt(Money intrAmt){
        this.intrAmt = intrAmt;
    }

    /**
     * Get intrAmt 利息发生额.
     *
     * @return the string
     */
    public Money getIntrAmt(){
        if(intrAmt==null){
            return new Money();
        }
        return intrAmt;
    }

    /**
     * Set prinAmt 本金发生额.
     */
    public void setPrinAmt(Money prinAmt){
        this.prinAmt = prinAmt;
    }

    /**
     * Get prinAmt 本金发生额.
     *
     * @return the string
     */
    public Money getPrinAmt(){
        if(prinAmt==null){
            return new Money();
        }
        return prinAmt;
    }

    /**
     * Set afFeeBal 交易后费用余额.
     */
    public void setAfFeeBal(Money afFeeBal){
        this.afFeeBal = afFeeBal;
    }

    /**
     * Get afFeeBal 交易后费用余额.
     *
     * @return the string
     */
    public Money getAfFeeBal(){
        if(afFeeBal==null){
            return new Money();
        }
        return afFeeBal;
    }

    /**
     * Set afIntrBal 交易后利息余额.
     */
    public void setAfIntrBal(Money afIntrBal){
        this.afIntrBal = afIntrBal;
    }

    /**
     * Get afIntrBal 交易后利息余额.
     *
     * @return the string
     */
    public Money getAfIntrBal(){
        if(afIntrBal==null){
            return new Money();
        }
        return afIntrBal;
    }

    /**
     * Set afPrinBal 交易后本金余额.
     */
    public void setAfPrinBal(Money afPrinBal){
        this.afPrinBal = afPrinBal;
    }

    /**
     * Get afPrinBal 交易后本金余额.
     *
     * @return the string
     */
    public Money getAfPrinBal(){
        if(afPrinBal==null){
            return new Money();
        }
        return afPrinBal;
    }

    /**
     * Set ovdFeeAmt .
     */
    public void setOvdFeeAmt(Money ovdFeeAmt){
        this.ovdFeeAmt = ovdFeeAmt;
    }

    /**
     * Get ovdFeeAmt .
     *
     * @return the string
     */
    public Money getOvdFeeAmt(){
        if(ovdFeeAmt==null){
            return new Money();
        }
        return ovdFeeAmt;
    }

    /**
     * Set ovdIntrAmt .
     */
    public void setOvdIntrAmt(Money ovdIntrAmt){
        this.ovdIntrAmt = ovdIntrAmt;
    }

    /**
     * Get ovdIntrAmt .
     *
     * @return the string
     */
    public Money getOvdIntrAmt(){
        if(ovdIntrAmt==null){
            return new Money();
        }
        return ovdIntrAmt;
    }

    /**
     * Set ovdPrinAmt .
     */
    public void setOvdPrinAmt(Money ovdPrinAmt){
        this.ovdPrinAmt = ovdPrinAmt;
    }

    /**
     * Get ovdPrinAmt .
     *
     * @return the string
     */
    public Money getOvdPrinAmt(){
        if(ovdPrinAmt==null){
            return new Money();
        }
        return ovdPrinAmt;
    }

    /**
     * Set afOvdFeeBal .
     */
    public void setAfOvdFeeBal(Money afOvdFeeBal){
        this.afOvdFeeBal = afOvdFeeBal;
    }

    /**
     * Get afOvdFeeBal .
     *
     * @return the string
     */
    public Money getAfOvdFeeBal(){
        if(afOvdFeeBal==null){
            return new Money();
        }
        return afOvdFeeBal;
    }

    /**
     * Set feePenalAmt 由分期费用逾期产生的滞纳金余额发生额.
     */
    public void setFeePenalAmt(Money feePenalAmt){
        this.feePenalAmt = feePenalAmt;
    }

    /**
     * Get feePenalAmt 由分期费用逾期产生的滞纳金余额发生额.
     *
     * @return the string
     */
    public Money getFeePenalAmt(){
        if(feePenalAmt==null){
            return new Money();
        }
        return feePenalAmt;
    }

    /**
     * Set otherFeeAmt 其他费用发生额.
     */
    public void setOtherFeeAmt(Money otherFeeAmt){
        this.otherFeeAmt = otherFeeAmt;
    }

    /**
     * Get otherFeeAmt 其他费用发生额.
     *
     * @return the string
     */
    public Money getOtherFeeAmt(){
        if(otherFeeAmt==null){
            return new Money();
        }
        return otherFeeAmt;
    }

    /**
     * Set afOvdIntrBal .
     */
    public void setAfOvdIntrBal(Money afOvdIntrBal){
        this.afOvdIntrBal = afOvdIntrBal;
    }

    /**
     * Get afOvdIntrBal .
     *
     * @return the string
     */
    public Money getAfOvdIntrBal(){
        if(afOvdIntrBal==null){
            return new Money();
        }
        return afOvdIntrBal;
    }

    /**
     * Set afOvdPrinBal .
     */
    public void setAfOvdPrinBal(Money afOvdPrinBal){
        this.afOvdPrinBal = afOvdPrinBal;
    }

    /**
     * Get afOvdPrinBal .
     *
     * @return the string
     */
    public Money getAfOvdPrinBal(){
        if(afOvdPrinBal==null){
            return new Money();
        }
        return afOvdPrinBal;
    }

    /**
     * Set intrPenalAmt 由逾期利息产生的罚息发生额.
     */
    public void setIntrPenalAmt(Money intrPenalAmt){
        this.intrPenalAmt = intrPenalAmt;
    }

    /**
     * Get intrPenalAmt 由逾期利息产生的罚息发生额.
     *
     * @return the string
     */
    public Money getIntrPenalAmt(){
        if(intrPenalAmt==null){
            return new Money();
        }
        return intrPenalAmt;
    }

    /**
     * Set prinPenalAmt 由逾期本金产生的罚息发生额.
     */
    public void setPrinPenalAmt(Money prinPenalAmt){
        this.prinPenalAmt = prinPenalAmt;
    }

    /**
     * Get prinPenalAmt 由逾期本金产生的罚息发生额.
     *
     * @return the string
     */
    public Money getPrinPenalAmt(){
        if(prinPenalAmt==null){
            return new Money();
        }
        return prinPenalAmt;
    }

    /**
     * Set afFeePenalBal 交易后滞纳金余额.
     */
    public void setAfFeePenalBal(Money afFeePenalBal){
        this.afFeePenalBal = afFeePenalBal;
    }

    /**
     * Get afFeePenalBal 交易后滞纳金余额.
     *
     * @return the string
     */
    public Money getAfFeePenalBal(){
        if(afFeePenalBal==null){
            return new Money();
        }
        return afFeePenalBal;
    }

    /**
     * Set afOtherFeeBal 变更后其他费用余额.
     */
    public void setAfOtherFeeBal(Money afOtherFeeBal){
        this.afOtherFeeBal = afOtherFeeBal;
    }

    /**
     * Get afOtherFeeBal 变更后其他费用余额.
     *
     * @return the string
     */
    public Money getAfOtherFeeBal(){
        if(afOtherFeeBal==null){
            return new Money();
        }
        return afOtherFeeBal;
    }

    /**
     * Set afIntrPenalBal 交易后利息余额.
     */
    public void setAfIntrPenalBal(Money afIntrPenalBal){
        this.afIntrPenalBal = afIntrPenalBal;
    }

    /**
     * Get afIntrPenalBal 交易后利息余额.
     *
     * @return the string
     */
    public Money getAfIntrPenalBal(){
        if(afIntrPenalBal==null){
            return new Money();
        }
        return afIntrPenalBal;
    }

    /**
     * Set afPrinPenalBal 交易后本罚余额.
     */
    public void setAfPrinPenalBal(Money afPrinPenalBal){
        this.afPrinPenalBal = afPrinPenalBal;
    }

    /**
     * Get afPrinPenalBal 交易后本罚余额.
     *
     * @return the string
     */
    public Money getAfPrinPenalBal(){
        if(afPrinPenalBal==null){
            return new Money();
        }
        return afPrinPenalBal;
    }
}
