package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table 计划资金交易流水
 */
public class PlanCapitalLogDO{

    /**
     * id 自增ID.
     */
    private Long id;
    /**
     * memo 备注.
     */
    private String memo;
    /**
     * bizNo 业务号.
     */
    private String bizNo;
    /**
     * seqNo 流水号.
     */
    private String seqNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * outBizNo 外部流水号.
     */
    private String outBizNo;
    /**
     * planAcct 计划资金账号.
     */
    private String planAcct;
    /**
     * transType 交易类型.
     */
    private String transType;
    /**
     * cntPtyAcct 对手方资金账号.
     */
    private String cntPtyAcct;
    /**
     * cntPtyCode 对手方简称.
     */
    private String cntPtyCode;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * transTime 交易时间.
     */
    private Date transTime;
    /**
     * accountDate 交易日期（会计日）.
     */
    private Date accountDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * amt 发生额.
     */
    private Money amt;
    /**
     * aftBal 发生后余额.
     */
    private Money aftBal;

    /**
     * Set id 自增ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 自增ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set memo 备注.
     */
    public void setMemo(String memo){
        this.memo = memo;
    }

    /**
     * Get memo 备注.
     *
     * @return the string
     */
    public String getMemo(){
        return memo;
    }

    /**
     * Set bizNo 业务号.
     */
    public void setBizNo(String bizNo){
        this.bizNo = bizNo;
    }

    /**
     * Get bizNo 业务号.
     *
     * @return the string
     */
    public String getBizNo(){
        return bizNo;
    }

    /**
     * Set seqNo 流水号.
     */
    public void setSeqNo(String seqNo){
        this.seqNo = seqNo;
    }

    /**
     * Get seqNo 流水号.
     *
     * @return the string
     */
    public String getSeqNo(){
        return seqNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set outBizNo 外部流水号.
     */
    public void setOutBizNo(String outBizNo){
        this.outBizNo = outBizNo;
    }

    /**
     * Get outBizNo 外部流水号.
     *
     * @return the string
     */
    public String getOutBizNo(){
        return outBizNo;
    }

    /**
     * Set planAcct 计划资金账号.
     */
    public void setPlanAcct(String planAcct){
        this.planAcct = planAcct;
    }

    /**
     * Get planAcct 计划资金账号.
     *
     * @return the string
     */
    public String getPlanAcct(){
        return planAcct;
    }

    /**
     * Set transType 交易类型.
     */
    public void setTransType(String transType){
        this.transType = transType;
    }

    /**
     * Get transType 交易类型.
     *
     * @return the string
     */
    public String getTransType(){
        return transType;
    }

    /**
     * Set cntPtyAcct 对手方资金账号.
     */
    public void setCntPtyAcct(String cntPtyAcct){
        this.cntPtyAcct = cntPtyAcct;
    }

    /**
     * Get cntPtyAcct 对手方资金账号.
     *
     * @return the string
     */
    public String getCntPtyAcct(){
        return cntPtyAcct;
    }

    /**
     * Set cntPtyCode 对手方简称.
     */
    public void setCntPtyCode(String cntPtyCode){
        this.cntPtyCode = cntPtyCode;
    }

    /**
     * Get cntPtyCode 对手方简称.
     *
     * @return the string
     */
    public String getCntPtyCode(){
        return cntPtyCode;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set transTime 交易时间.
     */
    public void setTransTime(Date transTime){
        this.transTime = transTime;
    }

    /**
     * Get transTime 交易时间.
     *
     * @return the string
     */
    public Date getTransTime(){
        return transTime;
    }

    /**
     * Set accountDate 交易日期（会计日）.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 交易日期（会计日）.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set amt 发生额.
     */
    public void setAmt(Money amt){
        this.amt = amt;
    }

    /**
     * Get amt 发生额.
     *
     * @return the string
     */
    public Money getAmt(){
        if(amt==null){
            return new Money();
        }
        return amt;
    }

    /**
     * Set aftBal 发生后余额.
     */
    public void setAftBal(Money aftBal){
        this.aftBal = aftBal;
    }

    /**
     * Get aftBal 发生后余额.
     *
     * @return the string
     */
    public Money getAftBal(){
        if(aftBal==null){
            return new Money();
        }
        return aftBal;
    }
}
