package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 计划信息
 */
public class PlanDO{

    /**
     * id 计划ID.
     */
    private Long id;
    /**
     * totalAmt 发行规模.
     */
    private Long totalAmt;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * status 计划状态  * PREPARE  * CLEARED  * SUBSIST  * 准备中  * 已清算  * 存续中.
     */
    private String status;
    /**
     * creator 创建人.
     */
    private String creator;
    /**
     * payFreq 兑付频率.
     */
    private String payFreq;
    /**
     * fundType 募集方式       * PUBLIC       * PRIVATE       * 公募       * 私募..
     */
    private String fundType;
    /**
     * modifier 修改人.
     */
    private String modifier;
    /**
     * planName 计划名.
     */
    private String planName;
    /**
     * planType 计划类型.
     */
    private String planType;
    /**
     * priceType 定价规则类型.
     */
    private String priceType;
    /**
     * gmtCreator 创建人.
     */
    private String gmtCreator;
    /**
     * gmtModifier 修改人.
     */
    private String gmtModifier;
    /**
     * calcIntrType 计息方式.
     */
    private String calcIntrType;
    /**
     * approveStatus 审批状态     OUTOFDATE("OUTOFDATE", "已过时"),      PASSED("PASSED", "已通过"),      FAILED("FAILED", "未通过"),      PENDING("PENDING", "审批中"),      UNSUBMIT("UNSUBMIT", "未提交"),      UNWANTED("UNWANTED", "无审批"),.
     */
    private String approveStatus;
    /**
     * planMgrOrgCode 管理机构.
     */
    private String planMgrOrgCode;
    /**
     * sponsorOrgCode 发起机构.
     */
    private String sponsorOrgCode;
    /**
     * passed 是否已通过过.
     */
    private Boolean passed;
    /**
     * endDate 计划到期日（信托终止日）计划截止日.
     */
    private Date endDate;
    /**
     * beginDate 计划设立日（信托设立日）.
     */
    private Date beginDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * effectDate 计划起息日.
     */
    private Date effectDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * firstPayDate 首次偿付日 首次兑付日.
     */
    private Date firstPayDate;
    /**
     * initCalcDate 初始起算日.
     */
    private Date initCalcDate;
    /**
     * firstClearDate 首次结算日.
     */
    private Date firstClearDate;
    /**
     * lastUpdateDate .
     */
    private Date lastUpdateDate;
    /**
     * vatRate 增值税率.
     */
    private BigDecimal vatRate;
    /**
     * finSerFeeRate 金融服务费率.
     */
    private BigDecimal finSerFeeRate;

    /**
     * Set id 计划ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 计划ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set totalAmt 发行规模.
     */
    public void setTotalAmt(Long totalAmt){
        this.totalAmt = totalAmt;
    }

    /**
     * Get totalAmt 发行规模.
     *
     * @return the string
     */
    public Long getTotalAmt(){
        return totalAmt;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set status 计划状态  * PREPARE  * CLEARED  * SUBSIST  * 准备中  * 已清算  * 存续中.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 计划状态  * PREPARE  * CLEARED  * SUBSIST  * 准备中  * 已清算  * 存续中.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set creator 创建人.
     */
    public void setCreator(String creator){
        this.creator = creator;
    }

    /**
     * Get creator 创建人.
     *
     * @return the string
     */
    public String getCreator(){
        return creator;
    }

    /**
     * Set payFreq 兑付频率.
     */
    public void setPayFreq(String payFreq){
        this.payFreq = payFreq;
    }

    /**
     * Get payFreq 兑付频率.
     *
     * @return the string
     */
    public String getPayFreq(){
        return payFreq;
    }

    /**
     * Set fundType 募集方式       * PUBLIC       * PRIVATE       * 公募       * 私募..
     */
    public void setFundType(String fundType){
        this.fundType = fundType;
    }

    /**
     * Get fundType 募集方式       * PUBLIC       * PRIVATE       * 公募       * 私募..
     *
     * @return the string
     */
    public String getFundType(){
        return fundType;
    }

    /**
     * Set modifier 修改人.
     */
    public void setModifier(String modifier){
        this.modifier = modifier;
    }

    /**
     * Get modifier 修改人.
     *
     * @return the string
     */
    public String getModifier(){
        return modifier;
    }

    /**
     * Set planName 计划名.
     */
    public void setPlanName(String planName){
        this.planName = planName;
    }

    /**
     * Get planName 计划名.
     *
     * @return the string
     */
    public String getPlanName(){
        return planName;
    }

    /**
     * Set planType 计划类型.
     */
    public void setPlanType(String planType){
        this.planType = planType;
    }

    /**
     * Get planType 计划类型.
     *
     * @return the string
     */
    public String getPlanType(){
        return planType;
    }

    /**
     * Set priceType 定价规则类型.
     */
    public void setPriceType(String priceType){
        this.priceType = priceType;
    }

    /**
     * Get priceType 定价规则类型.
     *
     * @return the string
     */
    public String getPriceType(){
        return priceType;
    }

    /**
     * Set gmtCreator 创建人.
     */
    public void setGmtCreator(String gmtCreator){
        this.gmtCreator = gmtCreator;
    }

    /**
     * Get gmtCreator 创建人.
     *
     * @return the string
     */
    public String getGmtCreator(){
        return gmtCreator;
    }

    /**
     * Set gmtModifier 修改人.
     */
    public void setGmtModifier(String gmtModifier){
        this.gmtModifier = gmtModifier;
    }

    /**
     * Get gmtModifier 修改人.
     *
     * @return the string
     */
    public String getGmtModifier(){
        return gmtModifier;
    }

    /**
     * Set calcIntrType 计息方式.
     */
    public void setCalcIntrType(String calcIntrType){
        this.calcIntrType = calcIntrType;
    }

    /**
     * Get calcIntrType 计息方式.
     *
     * @return the string
     */
    public String getCalcIntrType(){
        return calcIntrType;
    }

    /**
     * Set approveStatus 审批状态     OUTOFDATE("OUTOFDATE", "已过时"),      PASSED("PASSED", "已通过"),      FAILED("FAILED", "未通过"),      PENDING("PENDING", "审批中"),      UNSUBMIT("UNSUBMIT", "未提交"),      UNWANTED("UNWANTED", "无审批"),.
     */
    public void setApproveStatus(String approveStatus){
        this.approveStatus = approveStatus;
    }

    /**
     * Get approveStatus 审批状态     OUTOFDATE("OUTOFDATE", "已过时"),      PASSED("PASSED", "已通过"),      FAILED("FAILED", "未通过"),      PENDING("PENDING", "审批中"),      UNSUBMIT("UNSUBMIT", "未提交"),      UNWANTED("UNWANTED", "无审批"),.
     *
     * @return the string
     */
    public String getApproveStatus(){
        return approveStatus;
    }

    /**
     * Set planMgrOrgCode 管理机构.
     */
    public void setPlanMgrOrgCode(String planMgrOrgCode){
        this.planMgrOrgCode = planMgrOrgCode;
    }

    /**
     * Get planMgrOrgCode 管理机构.
     *
     * @return the string
     */
    public String getPlanMgrOrgCode(){
        return planMgrOrgCode;
    }

    /**
     * Set sponsorOrgCode 发起机构.
     */
    public void setSponsorOrgCode(String sponsorOrgCode){
        this.sponsorOrgCode = sponsorOrgCode;
    }

    /**
     * Get sponsorOrgCode 发起机构.
     *
     * @return the string
     */
    public String getSponsorOrgCode(){
        return sponsorOrgCode;
    }

    /**
     * Set passed 是否已通过过.
     */
    public void setPassed(Boolean passed){
        this.passed = passed;
    }

    /**
     * Get passed 是否已通过过.
     *
     * @return the string
     */
    public Boolean getPassed(){
        return passed;
    }

    /**
     * Set endDate 计划到期日（信托终止日）计划截止日.
     */
    public void setEndDate(Date endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 计划到期日（信托终止日）计划截止日.
     *
     * @return the string
     */
    public Date getEndDate(){
        return endDate;
    }

    /**
     * Set beginDate 计划设立日（信托设立日）.
     */
    public void setBeginDate(Date beginDate){
        this.beginDate = beginDate;
    }

    /**
     * Get beginDate 计划设立日（信托设立日）.
     *
     * @return the string
     */
    public Date getBeginDate(){
        return beginDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set effectDate 计划起息日.
     */
    public void setEffectDate(Date effectDate){
        this.effectDate = effectDate;
    }

    /**
     * Get effectDate 计划起息日.
     *
     * @return the string
     */
    public Date getEffectDate(){
        return effectDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set firstPayDate 首次偿付日 首次兑付日.
     */
    public void setFirstPayDate(Date firstPayDate){
        this.firstPayDate = firstPayDate;
    }

    /**
     * Get firstPayDate 首次偿付日 首次兑付日.
     *
     * @return the string
     */
    public Date getFirstPayDate(){
        return firstPayDate;
    }

    /**
     * Set initCalcDate 初始起算日.
     */
    public void setInitCalcDate(Date initCalcDate){
        this.initCalcDate = initCalcDate;
    }

    /**
     * Get initCalcDate 初始起算日.
     *
     * @return the string
     */
    public Date getInitCalcDate(){
        return initCalcDate;
    }

    /**
     * Set firstClearDate 首次结算日.
     */
    public void setFirstClearDate(Date firstClearDate){
        this.firstClearDate = firstClearDate;
    }

    /**
     * Get firstClearDate 首次结算日.
     *
     * @return the string
     */
    public Date getFirstClearDate(){
        return firstClearDate;
    }

    /**
     * Set lastUpdateDate .
     */
    public void setLastUpdateDate(Date lastUpdateDate){
        this.lastUpdateDate = lastUpdateDate;
    }

    /**
     * Get lastUpdateDate .
     *
     * @return the string
     */
    public Date getLastUpdateDate(){
        return lastUpdateDate;
    }

    /**
     * Set vatRate 增值税率.
     */
    public void setVatRate(BigDecimal vatRate){
        this.vatRate = vatRate;
    }

    /**
     * Get vatRate 增值税率.
     *
     * @return the string
     */
    public BigDecimal getVatRate(){
        return vatRate;
    }

    /**
     * Set finSerFeeRate 金融服务费率.
     */
    public void setFinSerFeeRate(BigDecimal finSerFeeRate){
        this.finSerFeeRate = finSerFeeRate;
    }

    /**
     * Get finSerFeeRate 金融服务费率.
     *
     * @return the string
     */
    public BigDecimal getFinSerFeeRate(){
        return finSerFeeRate;
    }
}
