package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;

/**
 * The table 计划费用结构
 */
public class PlanFeeStructureDO{

    /**
     * id .
     */
    private Long id;
    /**
     * fixedFeeAmt 固定费用.
     */
    private Long fixedFeeAmt;
    /**
     * payLimitAmt 支付上限.
     */
    private Long payLimitAmt;
    /**
     * feeNo 费用编号.
     */
    private String feeNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * feeName 费用名称.
     */
    private String feeName;
    /**
     * feeCalcType 计算方式  固定金额("FIXED", "固定金额"),  比例金额("SCALE", "比例金额")  .
     */
    private String feeCalcType;
    /**
     * feeTimeType 计费时间类型  按期计费("TERM", "按期计费"),  首次结算日("PFCD", "首次结算日"),  计划起息日("PETD", "计划起息日"),  计划到期日("PEDD", "计划到期日")  .
     */
    private String feeTimeType;
    /**
     * feeScaleType 费率基准  信托初始规模("START", "信托初始规模"),  信托剩余规模("REMAIN", "信托剩余规模"),  优先级信托初始规模("PRISTART", "优先级信托初始规模"),  优先级信托剩余规模("PRIREMAIN", "优先级信托剩余规模")  .
     */
    private String feeScaleType;
    /**
     * finSerFeeType 金融服务费支付方式.
     */
    private String finSerFeeType;
    /**
     * calcByDay 按日计费.
     */
    private Boolean calcByDay;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * feeRate 费率.
     */
    private BigDecimal feeRate;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set fixedFeeAmt 固定费用.
     */
    public void setFixedFeeAmt(Long fixedFeeAmt){
        this.fixedFeeAmt = fixedFeeAmt;
    }

    /**
     * Get fixedFeeAmt 固定费用.
     *
     * @return the string
     */
    public Long getFixedFeeAmt(){
        return fixedFeeAmt;
    }

    /**
     * Set payLimitAmt 支付上限.
     */
    public void setPayLimitAmt(Long payLimitAmt){
        this.payLimitAmt = payLimitAmt;
    }

    /**
     * Get payLimitAmt 支付上限.
     *
     * @return the string
     */
    public Long getPayLimitAmt(){
        return payLimitAmt;
    }

    /**
     * Set feeNo 费用编号.
     */
    public void setFeeNo(String feeNo){
        this.feeNo = feeNo;
    }

    /**
     * Get feeNo 费用编号.
     *
     * @return the string
     */
    public String getFeeNo(){
        return feeNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set feeName 费用名称.
     */
    public void setFeeName(String feeName){
        this.feeName = feeName;
    }

    /**
     * Get feeName 费用名称.
     *
     * @return the string
     */
    public String getFeeName(){
        return feeName;
    }

    /**
     * Set feeCalcType 计算方式  固定金额("FIXED", "固定金额"),  比例金额("SCALE", "比例金额")  .
     */
    public void setFeeCalcType(String feeCalcType){
        this.feeCalcType = feeCalcType;
    }

    /**
     * Get feeCalcType 计算方式  固定金额("FIXED", "固定金额"),  比例金额("SCALE", "比例金额")  .
     *
     * @return the string
     */
    public String getFeeCalcType(){
        return feeCalcType;
    }

    /**
     * Set feeTimeType 计费时间类型  按期计费("TERM", "按期计费"),  首次结算日("PFCD", "首次结算日"),  计划起息日("PETD", "计划起息日"),  计划到期日("PEDD", "计划到期日")  .
     */
    public void setFeeTimeType(String feeTimeType){
        this.feeTimeType = feeTimeType;
    }

    /**
     * Get feeTimeType 计费时间类型  按期计费("TERM", "按期计费"),  首次结算日("PFCD", "首次结算日"),  计划起息日("PETD", "计划起息日"),  计划到期日("PEDD", "计划到期日")  .
     *
     * @return the string
     */
    public String getFeeTimeType(){
        return feeTimeType;
    }

    /**
     * Set feeScaleType 费率基准  信托初始规模("START", "信托初始规模"),  信托剩余规模("REMAIN", "信托剩余规模"),  优先级信托初始规模("PRISTART", "优先级信托初始规模"),  优先级信托剩余规模("PRIREMAIN", "优先级信托剩余规模")  .
     */
    public void setFeeScaleType(String feeScaleType){
        this.feeScaleType = feeScaleType;
    }

    /**
     * Get feeScaleType 费率基准  信托初始规模("START", "信托初始规模"),  信托剩余规模("REMAIN", "信托剩余规模"),  优先级信托初始规模("PRISTART", "优先级信托初始规模"),  优先级信托剩余规模("PRIREMAIN", "优先级信托剩余规模")  .
     *
     * @return the string
     */
    public String getFeeScaleType(){
        return feeScaleType;
    }

    /**
     * Set finSerFeeType 金融服务费支付方式.
     */
    public void setFinSerFeeType(String finSerFeeType){
        this.finSerFeeType = finSerFeeType;
    }

    /**
     * Get finSerFeeType 金融服务费支付方式.
     *
     * @return the string
     */
    public String getFinSerFeeType(){
        return finSerFeeType;
    }

    /**
     * Set calcByDay 按日计费.
     */
    public void setCalcByDay(Boolean calcByDay){
        this.calcByDay = calcByDay;
    }

    /**
     * Get calcByDay 按日计费.
     *
     * @return the string
     */
    public Boolean getCalcByDay(){
        return calcByDay;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set feeRate 费率.
     */
    public void setFeeRate(BigDecimal feeRate){
        this.feeRate = feeRate;
    }

    /**
     * Get feeRate 费率.
     *
     * @return the string
     */
    public BigDecimal getFeeRate(){
        return feeRate;
    }
}
