package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;
import com.general.system.common.model.Money;

/**
 * The table 转让任务
 */
public class TrTaskDO{

    /**
     * id 自增ID.
     */
    private Long id;
    /**
     * execTimes 执行次数.
     */
    private Long execTimes;
    /**
     * memo MEMO.
     */
    private String memo;
    /**
     * astNo ？账单ID.
     */
    private String astNo;
    /**
     * seqNo 流水号.
     */
    private String seqNo;
    /**
     * riskCl 五级分类号.
     */
    private String riskCl;
    /**
     * tfrOut 资产转出机构.
     */
    private String tfrOut;
    /**
     * batchNo 批次号-防止异常.
     */
    private String batchNo;
    /**
     * tfrPack 转让资产包.
     */
    private String tfrPack;
    /**
     * lastHost 最近执行服务器.
     */
    private String lastHost;
    /**
     * packType 资产包类型 (BUY_BACK_BIZ 回购交易 , AST_TRF_BIZ 转让交易) .
     */
    private String packType;
    /**
     * taskStatus 任务状态.
     */
    private String taskStatus;
    /**
     * termNo 期次.
     */
    private Integer termNo;
    /**
     * tfrDate 转让日期.
     */
    private Date tfrDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * astEndDate 资产到期日.
     */
    private Date astEndDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * lastExecTime 最近执行时间.
     */
    private Date lastExecTime;
    /**
     * nextExecTime 下次执行时间.
     */
    private Date nextExecTime;
    /**
     * intrRate 利息定价比例.
     */
    private BigDecimal intrRate;
    /**
     * prinRate 本金定价比例.
     */
    private BigDecimal prinRate;
    /**
     * penalFeeRate 其他费用定价比例.
     */
    private BigDecimal penalFeeRate;
    /**
     * tfrAmt 资产转让最终值.
     */
    private Money tfrAmt;
    /**
     * tfrIntrBal 利息余额.
     */
    private Money tfrIntrBal;
    /**
     * tfrPrinBal 转让本金余额.
     */
    private Money tfrPrinBal;
    /**
     * tfrPenalFeeBal 其他费用余额.
     */
    private Money tfrPenalFeeBal;

    /**
     * Set id 自增ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 自增ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set execTimes 执行次数.
     */
    public void setExecTimes(Long execTimes){
        this.execTimes = execTimes;
    }

    /**
     * Get execTimes 执行次数.
     *
     * @return the string
     */
    public Long getExecTimes(){
        return execTimes;
    }

    /**
     * Set memo MEMO.
     */
    public void setMemo(String memo){
        this.memo = memo;
    }

    /**
     * Get memo MEMO.
     *
     * @return the string
     */
    public String getMemo(){
        return memo;
    }

    /**
     * Set astNo ？账单ID.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo ？账单ID.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set seqNo 流水号.
     */
    public void setSeqNo(String seqNo){
        this.seqNo = seqNo;
    }

    /**
     * Get seqNo 流水号.
     *
     * @return the string
     */
    public String getSeqNo(){
        return seqNo;
    }

    /**
     * Set riskCl 五级分类号.
     */
    public void setRiskCl(String riskCl){
        this.riskCl = riskCl;
    }

    /**
     * Get riskCl 五级分类号.
     *
     * @return the string
     */
    public String getRiskCl(){
        return riskCl;
    }

    /**
     * Set tfrOut 资产转出机构.
     */
    public void setTfrOut(String tfrOut){
        this.tfrOut = tfrOut;
    }

    /**
     * Get tfrOut 资产转出机构.
     *
     * @return the string
     */
    public String getTfrOut(){
        return tfrOut;
    }

    /**
     * Set batchNo 批次号-防止异常.
     */
    public void setBatchNo(String batchNo){
        this.batchNo = batchNo;
    }

    /**
     * Get batchNo 批次号-防止异常.
     *
     * @return the string
     */
    public String getBatchNo(){
        return batchNo;
    }

    /**
     * Set tfrPack 转让资产包.
     */
    public void setTfrPack(String tfrPack){
        this.tfrPack = tfrPack;
    }

    /**
     * Get tfrPack 转让资产包.
     *
     * @return the string
     */
    public String getTfrPack(){
        return tfrPack;
    }

    /**
     * Set lastHost 最近执行服务器.
     */
    public void setLastHost(String lastHost){
        this.lastHost = lastHost;
    }

    /**
     * Get lastHost 最近执行服务器.
     *
     * @return the string
     */
    public String getLastHost(){
        return lastHost;
    }

    /**
     * Set packType 资产包类型 (BUY_BACK_BIZ 回购交易 , AST_TRF_BIZ 转让交易) .
     */
    public void setPackType(String packType){
        this.packType = packType;
    }

    /**
     * Get packType 资产包类型 (BUY_BACK_BIZ 回购交易 , AST_TRF_BIZ 转让交易) .
     *
     * @return the string
     */
    public String getPackType(){
        return packType;
    }

    /**
     * Set taskStatus 任务状态.
     */
    public void setTaskStatus(String taskStatus){
        this.taskStatus = taskStatus;
    }

    /**
     * Get taskStatus 任务状态.
     *
     * @return the string
     */
    public String getTaskStatus(){
        return taskStatus;
    }

    /**
     * Set termNo 期次.
     */
    public void setTermNo(Integer termNo){
        this.termNo = termNo;
    }

    /**
     * Get termNo 期次.
     *
     * @return the string
     */
    public Integer getTermNo(){
        return termNo;
    }

    /**
     * Set tfrDate 转让日期.
     */
    public void setTfrDate(Date tfrDate){
        this.tfrDate = tfrDate;
    }

    /**
     * Get tfrDate 转让日期.
     *
     * @return the string
     */
    public Date getTfrDate(){
        return tfrDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set astEndDate 资产到期日.
     */
    public void setAstEndDate(Date astEndDate){
        this.astEndDate = astEndDate;
    }

    /**
     * Get astEndDate 资产到期日.
     *
     * @return the string
     */
    public Date getAstEndDate(){
        return astEndDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastExecTime 最近执行时间.
     */
    public void setLastExecTime(Date lastExecTime){
        this.lastExecTime = lastExecTime;
    }

    /**
     * Get lastExecTime 最近执行时间.
     *
     * @return the string
     */
    public Date getLastExecTime(){
        return lastExecTime;
    }

    /**
     * Set nextExecTime 下次执行时间.
     */
    public void setNextExecTime(Date nextExecTime){
        this.nextExecTime = nextExecTime;
    }

    /**
     * Get nextExecTime 下次执行时间.
     *
     * @return the string
     */
    public Date getNextExecTime(){
        return nextExecTime;
    }

    /**
     * Set intrRate 利息定价比例.
     */
    public void setIntrRate(BigDecimal intrRate){
        this.intrRate = intrRate;
    }

    /**
     * Get intrRate 利息定价比例.
     *
     * @return the string
     */
    public BigDecimal getIntrRate(){
        return intrRate;
    }

    /**
     * Set prinRate 本金定价比例.
     */
    public void setPrinRate(BigDecimal prinRate){
        this.prinRate = prinRate;
    }

    /**
     * Get prinRate 本金定价比例.
     *
     * @return the string
     */
    public BigDecimal getPrinRate(){
        return prinRate;
    }

    /**
     * Set penalFeeRate 其他费用定价比例.
     */
    public void setPenalFeeRate(BigDecimal penalFeeRate){
        this.penalFeeRate = penalFeeRate;
    }

    /**
     * Get penalFeeRate 其他费用定价比例.
     *
     * @return the string
     */
    public BigDecimal getPenalFeeRate(){
        return penalFeeRate;
    }

    /**
     * Set tfrAmt 资产转让最终值.
     */
    public void setTfrAmt(Money tfrAmt){
        this.tfrAmt = tfrAmt;
    }

    /**
     * Get tfrAmt 资产转让最终值.
     *
     * @return the string
     */
    public Money getTfrAmt(){
        if(tfrAmt==null){
            return new Money();
        }
        return tfrAmt;
    }

    /**
     * Set tfrIntrBal 利息余额.
     */
    public void setTfrIntrBal(Money tfrIntrBal){
        this.tfrIntrBal = tfrIntrBal;
    }

    /**
     * Get tfrIntrBal 利息余额.
     *
     * @return the string
     */
    public Money getTfrIntrBal(){
        if(tfrIntrBal==null){
            return new Money();
        }
        return tfrIntrBal;
    }

    /**
     * Set tfrPrinBal 转让本金余额.
     */
    public void setTfrPrinBal(Money tfrPrinBal){
        this.tfrPrinBal = tfrPrinBal;
    }

    /**
     * Get tfrPrinBal 转让本金余额.
     *
     * @return the string
     */
    public Money getTfrPrinBal(){
        if(tfrPrinBal==null){
            return new Money();
        }
        return tfrPrinBal;
    }

    /**
     * Set tfrPenalFeeBal 其他费用余额.
     */
    public void setTfrPenalFeeBal(Money tfrPenalFeeBal){
        this.tfrPenalFeeBal = tfrPenalFeeBal;
    }

    /**
     * Get tfrPenalFeeBal 其他费用余额.
     *
     * @return the string
     */
    public Money getTfrPenalFeeBal(){
        if(tfrPenalFeeBal==null){
            return new Money();
        }
        return tfrPenalFeeBal;
    }
}
