package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPriceRuleDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_ast_price_rule.
 * ABS_AST_PRICE_RULE
 */
public interface AstPriceRuleDOMapper{

    /**
     * desc:批量插入表:abs_ast_price_rule.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<AstPriceRuleDO> list);
    /**
     * desc:删除产品对应定价规则.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @return int
     */
    int deleteByAbsProdCode(@Param("abssqrProdCode")String abssqrProdCode);
    /**
     * desc:根据产品查询定价规则.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @return List<AstPriceRuleDO>
     */
    List<AstPriceRuleDO> getByAbsProdCode(@Param("abssqrProdCode")String abssqrProdCode);
}
