package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstSyncTaskCtrLogDO;
import java.util.Date;
import java.util.List;
import java.lang.Long;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_ast_sync_task_ctr_log.
 * 资产同步控制记录
 */
public interface AstSyncTaskCtrLogDOMapper{

    /**
     * desc:插入表:abs_ast_sync_task_ctr_log.<br/>
     * @param entity entity
     * @return int
     */
    int insert(AstSyncTaskCtrLogDO entity);
    /**
     * desc:获取指定类型的记录.<br/>
     * @param execDate execDate
     * @param lastTaskCode lastTaskCode
     * @return List<AstSyncTaskCtrLogDO>
     */
    List<AstSyncTaskCtrLogDO> getLastStatusFinishedTasks(@Param("execDate")Date execDate,@Param("lastTaskCode")String lastTaskCode);
    /**
     * desc:获取指定类型的记录.<br/>
     * @param execDate execDate
     * @param orgCode orgCode
     * @param taskType taskType
     * @return AstSyncTaskCtrLogDO
     */
    AstSyncTaskCtrLogDO getTaskLogByExecDate(@Param("execDate")Date execDate,@Param("orgCode")String orgCode,@Param("taskType")String taskType);
    /**
     * desc:获取指定类型的记录.<br/>
     * @param orgDate orgDate
     * @param orgCode orgCode
     * @param taskType taskType
     * @return AstSyncTaskCtrLogDO
     */
    AstSyncTaskCtrLogDO getLastTaskLogByOrgDate(@Param("orgDate")Date orgDate,@Param("orgCode")String orgCode,@Param("taskType")String taskType);
    /**
     * desc:根据机构会计日执行情况获取.<br/>
     * @param orgDate orgDate
     * @param orgCode orgCode
     * @param taskType taskType
     * @return AstSyncTaskCtrLogDO
     */
    AstSyncTaskCtrLogDO getTaskLogByOrgDate(@Param("orgDate")Date orgDate,@Param("orgCode")String orgCode,@Param("taskType")String taskType);
    /**
     * desc:更新表:abs_ast_sync_task_ctr_log.<br/>
     * @param hostIp hostIp
     * @param status status
     * @param taskType taskType
     * @param oldStatus oldStatus
     * @param taskLogCode taskLogCode
     * @return int
     */
    int updateStatus(@Param("hostIp")String hostIp,@Param("status")String status,@Param("taskType")String taskType,@Param("oldStatus")String oldStatus,@Param("taskLogCode")String taskLogCode);
    /**
     * desc:根据主键获取数据:abs_ast_sync_task_ctr_log.<br/>
     * @param orgDate orgDate
     * @param orgCode orgCode
     * @param taskCode taskCode
     * @param taskType taskType
     * @return Long
     */
    Long canRunByOrgDate(@Param("orgDate")Date orgDate,@Param("orgCode")String orgCode,@Param("taskCode")String taskCode,@Param("taskType")String taskType);
    /**
     * desc:获取指定类型的最大完成机构会计日.<br/>
     * @param orgCode orgCode
     * @param taskType taskType
     * @return Date
     */
    Date getTaskLogMaxOrgDate(@Param("orgCode")String orgCode,@Param("taskType")String taskType);
}
