package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.OrganizationDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.OrgListPage;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_organization.
 * 机构信息
 */
public interface OrganizationDOMapper{

    /**
     * desc:insertOrUpdate.<br/>
     * @param entity entity
     * @return int
     */
    int insert(OrganizationDO entity);
    /**
     * desc:判断是否存在同名机构.<br/>
     * @param entity entity
     * @return Integer
     */
    Integer getSameNameOrgCnt(OrganizationDO entity);
    /**
     * desc:根据唯一约束OrgCode更新表:abs_organization.<br/>
     * @param entity entity
     * @return int
     */
    int updateByOrgCode(OrganizationDO entity);
    /**
     * desc:根据唯一约束OrgCode获取数据:abs_organization.<br/>
     * @param orgCode orgCode
     * @return OrganizationDO
     */
    OrganizationDO getByOrgCode(@Param("orgCode")String orgCode);
    /**
     * desc:查询机构列表.<br/>
     * @param orgList orgList
     * @return int
     */
    int queryOrgListForPageCount(OrgListPage orgList);
    /**
     * desc:查询机构列表.<br/>
     * @param orgList orgList
     * @return List<OrganizationDO>
     */
    List<OrganizationDO> queryOrgListForPageResult(OrgListPage orgList);
    /**
     * desc:getOrgNames.<br/>
     * @param orgCodes orgCodes
     * @return List<OrganizationDO>
     */
    List<OrganizationDO> getOrgNames(@Param("orgCodes")List<String> orgCodes);
}
