package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAcctTitleDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_acct_title.
 * 计划结算科目信息（收付实现制）
 */
public interface PlanAcctTitleDOMapper{

    /**
     * desc:插入表:abs_plan_acct_title.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanAcctTitleDO entity);
    /**
     * desc:批量插入表:abs_plan_acct_title.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanAcctTitleDO> list);
    /**
     * desc:根据唯一约束AbsPlanAcctTitle更新表:abs_plan_acct_title.<br/>
     * @param entity entity
     * @return int
     */
    int updateAmt(PlanAcctTitleDO entity);
    /**
     * desc:根据唯一约束AbsPlanAcctTitle删除数据:abs_plan_acct_title.<br/>
     * @param planNo planNo
     * @return List<PlanAcctTitleDO>
     */
    List<PlanAcctTitleDO> getByPlan(@Param("planNo")String planNo);
    /**
     * desc:根据唯一约束AbsPlanAcctTitle删除数据:abs_plan_acct_title.<br/>
     * @param planNo planNo
     * @param listTitleType listTitleType
     * @return List<PlanAcctTitleDO>
     */
    List<PlanAcctTitleDO> getByPlanAndTypes(@Param("planNo")String planNo,@Param("listTitleType")List<String> listTitleType);
    /**
     * desc:根据唯一约束AbsPlanAcctTitle删除数据:abs_plan_acct_title.<br/>
     * @param list list
     * @return List<PlanAcctTitleDO>
     */
    List<PlanAcctTitleDO> getFinFeesByPlan(List<String> list);
    /**
     * desc:根据唯一约束AbsPlanAcctTitle获取数据:abs_plan_acct_title.<br/>
     * @param planNo planNo
     * @param titleNo titleNo
     * @return PlanAcctTitleDO
     */
    PlanAcctTitleDO getByTitleNo(@Param("planNo")String planNo,@Param("titleNo")String titleNo);
    /**
     * desc:根据计划编号删除分配信息.<br/>
     * @param planNo planNo
     * @return int
     */
    int deleteByPlanNo(@Param("planNo")String planNo);
}
