package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAcctTitleLogDO;
import java.util.List;
import java.util.Date;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_acct_title_log.
 * 计划结算科目信息（收付实现制）
 */
public interface PlanAcctTitleLogDOMapper{

    /**
     * desc:批量插入表:abs_plan_acct_title_log.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanAcctTitleLogDO> list);
    /**
     * desc:根据主键获取数据:abs_plan_acct_title_log.<br/>
     * @param endDate endDate
     * @param startDate startDate
     * @param planNo planNo
     * @return List<PlanAcctTitleLogDO>
     */
    List<PlanAcctTitleLogDO> getByDate(@Param("endDate")Date endDate,@Param("startDate")Date startDate,@Param("planNo")String planNo);
    /**
     * desc:根据主键获取数据:abs_plan_acct_title_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param calcType calcType
     * @param acctEvent acctEvent
     * @return PlanAcctTitleLogDO
     */
    PlanAcctTitleLogDO getTitleLogByCondition(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("calcType")String calcType,@Param("acctEvent")String acctEvent);
    /**
     * desc:汇总统计会计日对应科目流水金额.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param acctEvent acctEvent
     * @param listTitleType listTitleType
     * @return PlanAcctTitleLogDO
     */
    PlanAcctTitleLogDO getSummaryAcctTitleByTypes(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("acctEvent")String acctEvent,@Param("listTitleType")List<String> listTitleType);
    /**
     * desc:根据计划事件码科目编号获取科目流水.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param titleNo titleNo
     * @param acctEvent acctEvent
     * @return List<PlanAcctTitleLogDO>
     */
    List<PlanAcctTitleLogDO> getByEventAndTitleNo(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("titleNo")String titleNo,@Param("acctEvent")String acctEvent);
    /**
     * desc:根据计划与事件码获取科目流水.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param acctEvent acctEvent
     * @param listTitleType listTitleType
     * @return List<PlanAcctTitleLogDO>
     */
    List<PlanAcctTitleLogDO> getByPlanAndEvent(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("acctEvent")String acctEvent,@Param("listTitleType")List<String> listTitleType);
}
