package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstDO;
import java.lang.Long;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_ast.
 * 计划资产水位表
 */
public interface PlanAstDOMapper{

    /**
     * desc:插入表:abs_plan_ast.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanAstDO entity);
    /**
     * desc:根据唯一约束AbsPlanAstPlanNo更新表:ABS_PLAN_AST.<br/>
     * @param entity entity
     * @return int
     */
    int updateByPlanNo(PlanAstDO entity);
    /**
     * desc:根据 PLAN_NO 锁定计划资产水位表.<br/>
     * @param planNo planNo
     * @return PlanAstDO
     */
    PlanAstDO lockByPlanNoForUpdate(@Param("planNo")String planNo);
    /**
     * desc:根据 PLAN_NO 查询计划n资产水位表.<br/>
     * @param planNo planNo
     * @return PlanAstDO
     */
    PlanAstDO getByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:查询累计投放金额合计.<br/>
     * @param planType planType
     * @return Long
     */
    Long getAllAstAmt(@Param("planType")String planType);
}
