package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanClearingOrderDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanClearingOrderItem;
import java.lang.Long;
import com.general.system.common.model.Money;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_clearing_order.
 * ABS_PLAN_CLEARING_ORDER
 */
public interface PlanClearingOrderDOMapper{

    /**
     * desc:插入表:abs_plan_clearing_order.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanClearingOrderDO entity);
    /**
     * desc:批量插入表:abs_plan_clearing_order.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanClearingOrderDO> list);
    /**
     * desc:更新表:abs_plan_clearing_order.<br/>
     * @param memo memo
     * @param transStatus transStatus
     * @param transOrderNo transOrderNo
     * @param oldTransStatus oldTransStatus
     * @param list list
     * @return int
     */
    int updateBySeqNoList(@Param("memo")String memo,@Param("transStatus")String transStatus,@Param("transOrderNo")String transOrderNo,@Param("oldTransStatus")String oldTransStatus,@Param("list")List<String> list);
    /**
     * desc:更新表:abs_plan_clearing_order.<br/>
     * @param memo memo
     * @param seqNo seqNo
     * @param transStatus transStatus
     * @param transOrderNo transOrderNo
     * @param oldTransStatus oldTransStatus
     * @return int
     */
    int updateBySeqNo(@Param("memo")String memo,@Param("seqNo")String seqNo,@Param("transStatus")String transStatus,@Param("transOrderNo")String transOrderNo,@Param("oldTransStatus")String oldTransStatus);
    /**
     * desc:更新表:abs_plan_clearing_order.<br/>
     * @param seqNo seqNo
     * @return PlanClearingOrderDO
     */
    PlanClearingOrderDO lockBySeqNo(@Param("seqNo")String seqNo);
    /**
     * desc:根据普通索引AbsPlanClearingLogCopy1获取数据:abs_plan_clearing_order.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param transStatus transStatus
     * @return List<PlanClearingOrderItem>
     */
    List<PlanClearingOrderItem> queryByClearingOrderStat(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("transStatus")String transStatus);
    /**
     * desc:查看结算单是否都处理完.<br/>
     * @param planNo planNo
     * @return Long
     */
    Long cntInitClearingOrderByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:查看结算单是否都处理完.<br/>
     * @param transCode transCode
     * @return Long
     */
    Long cntInitClearingOrder(@Param("transCode")String transCode);
    /**
     * desc:获取结算总额.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param transCode transCode
     * @return Money
     */
    Money getClrOrderAmtByPlanNoAndActDateAndTransCode(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("transCode")String transCode);
}
