package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanMonitorDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_monitor.
 * 计划监控指标
 */
public interface PlanMonitorDOMapper{

    /**
     * desc:插入表:abs_plan_monitor.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanMonitorDO entity);
    /**
     * desc:根据唯一约束AbsPlanMonitor更新表:abs_plan_monitor.<br/>
     * @param entity entity
     * @return int
     */
    int updateByIndicator(PlanMonitorDO entity);
    /**
     * desc:根据唯一约束AbsPlanMonitor更新违规日期信息:abs_plan_monitor.<br/>
     * @param entity entity
     * @return int
     */
    int updateDays(PlanMonitorDO entity);
    /**
     * desc:根据唯一约束AbsPlanMonitor删除数据:abs_plan_monitor.<br/>
     * @param planNo planNo
     * @param indicator indicator
     * @return int
     */
    int deleteByIndicator(@Param("planNo")String planNo,@Param("indicator")String indicator);
    /**
     * desc:根据唯一约束AbsPlanMonitor获取数据:abs_plan_monitor.<br/>
     * @param planNo planNo
     * @return List<PlanMonitorDO>
     */
    List<PlanMonitorDO> getByPlan(@Param("planNo")String planNo);
    /**
     * desc:根据唯一约束AbsPlanMonitor获取数据:abs_plan_monitor.<br/>
     * @param planNo planNo
     * @param indicator indicator
     * @return PlanMonitorDO
     */
    PlanMonitorDO getByIndicator(@Param("planNo")String planNo,@Param("indicator")String indicator);
    /**
     * desc:获取同名筛选规则数量，防止重名存在.<br/>
     * @param name name
     * @return Integer
     */
    Integer getSameMonitorCnt(@Param("name")String name);
}
