package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanReportEntityDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAstReportStat;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_report_entity.
 * ABS_PLAN_REPORT_ENTITY
 */
public interface PlanReportEntityDOMapper{

    /**
     * desc:批量插入表:abs_plan_report_entity.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanReportEntityDO> list);
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return List<PlanAstReportStat>
     */
    List<PlanAstReportStat> statBal(@Param("accountDate")Date accountDate,@Param("planNo")String planNo);
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return List<PlanAstReportStat>
     */
    List<PlanAstReportStat> statAccrued(@Param("accountDate")Date accountDate,@Param("planNo")String planNo);
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return List<PlanAstReportStat>
     */
    List<PlanAstReportStat> statAmt(@Param("accountDate")Date accountDate,@Param("planNo")String planNo);
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return int
     */
    int delete(@Param("accountDate")Date accountDate,@Param("planNo")String planNo);
}
