package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.ProductRiskClDO;
import java.util.List;
import java.math.BigDecimal;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table ABS_PRODUCT_RISK_CL.
 * ABS_PRODUCT_RISK_CL
 */
public interface ProductRiskClDOMapper{

    /**
     * desc:插入表:ABS_PRODUCT_RISK_CL.<br/>
     * @param entity entity
     * @return int
     */
    int insert(ProductRiskClDO entity);
    /**
     * desc:批量插入表:ABS_PRODUCT_RISK_CL.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<ProductRiskClDO> list);
    /**
     * desc:根据主键删除数据:ABS_PRODUCT_RISK_CL.<br/>
     * @param id id
     * @return int
     */
    int deleteById(@Param("id")Long id);
    /**
     * desc:根据主键获取数据:ABS_PRODUCT_RISK_CL.<br/>
     * @param id id
     * @return ProductRiskClDO
     */
    ProductRiskClDO getById(@Param("id")Long id);
    /**
     * desc:根据唯一约束ProdCodeRislCl更新表:ABS_PRODUCT_RISK_CL.<br/>
     * @param entity entity
     * @return int
     */
    int updateByProdCodeRislCl(ProductRiskClDO entity);
    /**
     * desc:根据唯一约束ProdCodeRislCl删除数据:ABS_PRODUCT_RISK_CL.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @param prov prov
     * @return int
     */
    int deleteByProdCodeRislCl(@Param("abssqrProdCode")String abssqrProdCode,@Param("prov")BigDecimal prov);
    /**
     * desc:根据唯一约束ProdCodeRislCl获取数据:ABS_PRODUCT_RISK_CL.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @param prov prov
     * @return ProductRiskClDO
     */
    ProductRiskClDO getByProdCodeRislCl(@Param("abssqrProdCode")String abssqrProdCode,@Param("prov")BigDecimal prov);
    /**
     * desc:根据主键获取数据:ABS_PRODUCT_RISK_CL.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @return List<ProductRiskClDO>
     */
    List<ProductRiskClDO> queryByAbsProdCode(@Param("abssqrProdCode")String abssqrProdCode);
    /**
     * desc:根据普通索引AbssqrProdCode删除数据.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @return int
     */
    int deleteByAbssqrProdCode(@Param("abssqrProdCode")String abssqrProdCode);
}
