package com.abssqr.plat.common.dal.mysql.auto.paging;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanDO;

/**
 * The table ABS_LOAN 信贷资产
 */
public class LoanListPage extends BasePage<LoanDO>{

    /**
     * lenderOrgCode 原始权益机构（计划）.
     */
    private String lenderOrgCode;
    /**
     * outAstNo 外部资产编号.
     */
    private String outAstNo;
    /**
     * astNo 资产编号.
     */
    private String astNo;
    /**
     * ovdDays 逾期天数.
     */
    private Integer ovdDays;
    /**
     * riskCl 资产五级分类.
     */
    private String riskCl;
    /**
     * capitalNo 资金编号.
     */
    private String capitalNo;

    /**
     * Set lenderOrgCode 原始权益机构（计划）.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 原始权益机构（计划）.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set outAstNo 外部资产编号.
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo 外部资产编号.
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set astNo 资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set ovdDays 逾期天数.
     */
    public void setOvdDays(Integer ovdDays){
        this.ovdDays = ovdDays;
    }

    /**
     * Get ovdDays 逾期天数.
     *
     * @return the string
     */
    public Integer getOvdDays(){
        return ovdDays;
    }

    /**
     * Set riskCl 资产五级分类.
     */
    public void setRiskCl(String riskCl){
        this.riskCl = riskCl;
    }

    /**
     * Get riskCl 资产五级分类.
     *
     * @return the string
     */
    public String getRiskCl(){
        return riskCl;
    }

    /**
     * Set capitalNo 资金编号.
     */
    public void setCapitalNo(String capitalNo){
        this.capitalNo = capitalNo;
    }

    /**
     * Get capitalNo 资金编号.
     *
     * @return the string
     */
    public String getCapitalNo(){
        return capitalNo;
    }
}
