/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 账户属性
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.enums: AccountAttributeEnum.java, v 0.1 2018-01-03 21:57 hongwei.wang Exp $
 */
public enum AccountAttributeEnum implements IEnum {
    //
    RECV("RECV", "回款账户", true),
    PAY("PAY", "放款账户", true),
    
    
    // 承接池计划中使用
    HOSTED("HOSTED", "托管账户", false),
    NORMAL("NORMAL", "一般业务户", true),

    ;

    private static final Map<String, AccountAttributeEnum> codeMap = new HashMap<String, AccountAttributeEnum>();

    static {
        for (AccountAttributeEnum item : AccountAttributeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;
    private boolean needPlat;

    AccountAttributeEnum(String code, String desc, boolean needPlat) {
        this.code = code;
        this.desc = desc;
        this.needPlat=needPlat;
    }

    public static AccountAttributeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public boolean isNeedPlat() {
        return needPlat;
    }
}