/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.enums: YearDaysEnum.java, v 0.1 2017-12-05 下午20:47 zhenxuan.luo Exp $
 */
public enum AstContractTypeEnum implements IEnum {

    
    CT01("CT01", "贷款合同"),;
    
    private static final Map<String, AstContractTypeEnum> codeMap = new HashMap<String, AstContractTypeEnum>();
    
    static {
        for (AstContractTypeEnum item : AstContractTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    private AstContractTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static AstContractTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return this.code;
    }
    
    @Override
    public String getDesc() {
        return this.desc;
    }
}