/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2017 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 资产状态枚举
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.enums: AstStatusEnum.java, v 0.1 2017-12-05 下午16:04 zhenxuan.luo Exp $
 */
public enum AstTypeEnum implements IEnum {
    
    LOAN("loan", "贷款"),;
    
    private static final Map<String, AstTypeEnum> codeMap = new HashMap<String, AstTypeEnum>();
    
    static {
        for (AstTypeEnum item : AstTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    private AstTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static AstTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return this.code;
    }
    
    @Override
    public String getDesc() {
        return this.desc;
    }
}