/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IErrorCode;

import java.util.HashMap;
import java.util.Map;

/**
 * 错误码枚举
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.enums: CommonErrorCodeEnum.java, v 0.1 2017-12-05 下午17:58 zhenxuan.luo Exp $ 
 */
public enum CommonErrorCodeEnum implements IErrorCode {

    UNDEFINE("E99999999", "未知错误"),

    INVALID_PARAM("E99990001", "非法参数"),

    USER_OUT_TIME("E99990006", "登录超时"),

    VALIDATE_ERROR("E99990002", "验证错误"),

    SAL_ERROR("E99990003", "外部服务调用错误"),
    
    DAL_ERROR("E99990004", "数据库访问错误"),
    
    INVALID_INTERNAL_MODEL("E99990005", "内部数据模型错误"),

    IDEMPOTENT_ERROR("E99990006", "幂等错误"),
    
    SYS_ERROR("E99990007", "数据库访问错误"),
    
    GET_LOCK_FAIL("E99990008", "获取锁失败"),
    
    NO_TASK("E99990009", "任务不存在"),
    
    SFTP_ERROR("E99990010", "sftp异常"),
    
    INVALID_STATUS("E99990011", "状态异常"),
    
    FILE_EXPORT_ERROR("E99990012", "文件导出错误"),
    
    /* ---------- */
    QRY_RES_NULL("ABS00000001", "查询结果为空"),
    
    DATE_ALREAD_EXIST("E88880021", "数据已存在"),
    
    NO_DATA("E88880022", "数据不存在"),
    
    
    ;





    private static final Map<String, CommonErrorCodeEnum> codeMap = new HashMap<String, CommonErrorCodeEnum>();

    static {
        for (CommonErrorCodeEnum item : CommonErrorCodeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private CommonErrorCodeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static CommonErrorCodeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

}