/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 通用任务类型
 *
 * @author guozhenhua
 * @version $Id: AssetFlowTypeEnum.java, v 0.1 2017-06-09 下午16:56 zhenxuan.luo Exp $
 */
public enum CommonTaskTypeEnum implements IEnum {

    PLAN_REPORT("PLAN_REPORT", "报表生成",false),
    
    ADD_ENTRY("ADD_ENTRY", "分录登记",false),

    PLAN_CLEAR("PLAN_CLEAR", "计划清算",false),

    PACK_TASK("PACK_TASK", "资产包任务",false),

    PACK_MATCH("PACK_MATCH", "资产包筛选任务",false),

    IMPORT_PLAN_RESULT("IMPORT_PLAN_RESULT", "资产包导入计划结果",false),

    AST_ANALYSIS("AST_ANALYSIS", "资产分析",false),

    CLEAR_POOL("CLEAR_POOL", "资产池清空",false),

    AST_CASH_SIMU("AST_CASH_SIMU", "计划资金流测算",false),

    CAPTITALASSERT_UNMATCH("CAPTITALASSERT_UNMATCH","解除资金资产匹配",false),

    SYNC_CAPTITALASSERT_MATCH("SYNC_CAPTITALASSERT_MATCH","同步资金资产匹配",false),

    UNMATCH_CAPTITALASSERT_MATCH("UNMATCH_CAPTITALASSERT_MATCH","解绑资金资产匹配",false),

    BUY_BACK_MATCH("BUY_BACK_MATCH","回购资产包筛选任务",false),

    AST_MOD_CHECK("AST_MOD_CHECK","资产内部模型完成检查",false),
    ;



    private static final Map<String, CommonTaskTypeEnum> codeMap = new HashMap<String, CommonTaskTypeEnum>();

    static {
        for (CommonTaskTypeEnum item : CommonTaskTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;
    private boolean needTrans;

    CommonTaskTypeEnum(String code, String desc,boolean needTrans) {
        this.code = code;
        this.desc = desc;
        this.needTrans = needTrans;
    }

    public static CommonTaskTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public boolean isNeedTrans() {
        return needTrans;
    }
}