/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @authoryangcheng
 * @versioncom.abssqr.common.client.model.enums:PlanPayFrequencyEnum.java,v0.12019-06-0313:55 yangchengExp$
 */
public enum PlanPayFreqEnum implements IEnum {

    Month("M", "月", 1),

    Season("S", "季", 3),

    HalfYear("HY", "半年", 6),

    Year("Y", "年", 12),
    ;

    private static final Map<String, PlanPayFreqEnum> codeMap = new HashMap<String, PlanPayFreqEnum>();

    static {
        for (PlanPayFreqEnum item : PlanPayFreqEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;
    private int    cnt;

    private PlanPayFreqEnum(String code, String desc, int cnt) {
        this.code = code;
        this.desc = desc;
        this.cnt = cnt;
    }

    public static PlanPayFreqEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

    public int getCnt() {
        return cnt;
    }
}
