/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 报表统计科目流水分组
 * @author hanfei
 * @version ReportTitleGroupEnum.java, v 0.1 2019-12-04 下午2:52 hanfei Exp $
 */
public enum ReportTitleGroupEnum implements IEnum {
    
    FIN_SER_FEE("FIN_SER_FEE", "金融服务费"),
    INVESTED_DAY("INVESTED_DAY", "当日本金科目兑付汇总"),
    INVESTED_ALL("INVESTED_ALL", "本金科目兑付所有流水"),
    ;

    private static final Map<String, ReportTitleGroupEnum> codeMap = new HashMap<String, ReportTitleGroupEnum>();

    static {
        for (ReportTitleGroupEnum item : ReportTitleGroupEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private ReportTitleGroupEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static ReportTitleGroupEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}
