/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.enums: TrCycleEnum.java, v 0.1 2019-05-30 14:53 bangis.wangdf Exp $
 */
public enum TrCycleEnum implements IEnum {

    STATIC("S", "STATIC"),
    D("D", "日"),
    W("W", "周"),
    M("M", "月"),
    Q("Q", "季"),
    Y("Y", "年"),

    ///
    ;

    private static final Map<String, com.abssqr.plat.common.facade.enums.TrCycleEnum> codeMap
        = new HashMap<String, com.abssqr.plat.common.facade.enums.TrCycleEnum>();

    static {
        for (com.abssqr.plat.common.facade.enums.TrCycleEnum item : com.abssqr.plat.common.facade.enums.TrCycleEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    TrCycleEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    private String code;
    private String desc;

    public static com.abssqr.plat.common.facade.enums.TrCycleEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}