/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.AllocTypeEmun;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.plan: PlanAllocItem.java, v 0.1 2019-06-03 16:43 bangis.wangdf Exp $
 */
public class PlanAllocItem extends BaseEntity implements Serializable {
    private static final long          serialVersionUID = 7862812748199802217L;
    /**
     * 事项编号
     */
    private              String        itemNo;
    /**
     * 分配顺序
     */
    private              Integer       order;
    /**
     * 科目编号
     */
    private              String        titleNo;
    /**
     * 科目名称
     */
    private              String        titleName;
    /**
     * 分配类型
     */
    private              AllocTypeEmun allocType;
    /**
     * 分配类型
     */
    private              int           layerOrder;
    /**
     * 是否计税
     */
    private              Boolean       tax;
    /**
     * 试算金额
     */
    private              Money         trialAmt         = Money.createWithCent(0L);
    /**
     * 支付试算金额与确认金额
     */
    private              Boolean       payTrial         = true;
    /**
     * 试算增值税
     */
    private              Money         trialTaxAmt      = Money.createWithCent(0L);
    /**
     * 已结金额
     */
    private              Money         settleAmt        = Money.createWithCent(0L);
    /**
     * 确认金额
     */
    private              Money         confirmAmt       = Money.createWithCent(0L);
    /**
     * 确认增值税
     */
    private              Money         confirmTaxAmt    = Money.createWithCent(0L);
    /**
     * 当期应付
     */
    private              Money         currPay          = new Money();
    /**
     * relNo
     */
    private              String        relNo;

    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }

    public Boolean getTax() {
        return tax;
    }

    public void setTax(Boolean tax) {
        this.tax = tax;
    }

    public Money getTrialAmt() {
        return trialAmt;
    }

    public void setTrialAmt(Money trialAmt) {
        this.trialAmt = trialAmt;
    }

    public Money getTrialTaxAmt() {
        return trialTaxAmt;
    }

    public void setTrialTaxAmt(Money trialTaxAmt) {
        this.trialTaxAmt = trialTaxAmt;
    }

    public Money getConfirmAmt() {
        return confirmAmt;
    }

    public void setConfirmAmt(Money confirmAmt) {
        this.confirmAmt = confirmAmt;
    }

    public Money getConfirmTaxAmt() {
        return confirmTaxAmt;
    }

    public void setConfirmTaxAmt(Money confirmTaxAmt) {
        this.confirmTaxAmt = confirmTaxAmt;
    }

    public String getTitleNo() {
        return titleNo;
    }

    public void setTitleNo(String titleNo) {
        this.titleNo = titleNo;
    }

    public String getTitleName() {
        return titleName;
    }

    public void setTitleName(String titleName) {
        this.titleName = titleName;
    }

    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    public Money getSettleAmt() {
        return settleAmt;
    }

    public void setSettleAmt(Money settleAmt) {
        this.settleAmt = settleAmt;
    }

    public Money getCurrPay() {
        return currPay;
    }

    public void setCurrPay(Money currPay) {
        this.currPay = currPay;
    }

    public String getRelNo() {
        return relNo;
    }

    public void setRelNo(String relNo) {
        this.relNo = relNo;
    }

    public int getLayerOrder() {
        return layerOrder;
    }

    public void setLayerOrder(int layerOrder) {
        this.layerOrder = layerOrder;
    }

    public AllocTypeEmun getAllocType() {
        return allocType;
    }

    public void setAllocType(AllocTypeEmun allocType) {
        this.allocType = allocType;
    }

    public Boolean getPayTrial() {
        return payTrial;
    }

    public void setPayTrial(Boolean payTrial) {
        this.payTrial = payTrial;
    }

    /**
     * 获取需要支付的金额
     * @return
     */
    public Money getPayWithOutTaxAmt(){
        if(payTrial==true){
            if(confirmAmt!=null&&confirmAmt.isGreaterThanZero()){
                return confirmAmt;
            }
            return this.trialAmt;
        }else {
            return Money.createWithCent(0L);
        }
    }
}
