/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.model.report.bb;

import com.abssqr.plat.common.facade.model.report.ReportField;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.model.report.bb: AstReportFields.java, v 0.1 2020-04-15 15:34 bangis.wangdf Exp $
 */
public interface AstReportFields {
    /**
     * 每日发生
     */
    ReportField RPT000 = new ReportField("RPT000", "放款");
    /**
     * 每日发生 - 放款 - 合同期限
     */
    ReportField RPT00011 = new ReportField("RPT00011", "合同期限(0,12]");
    ReportField RPT00012 = new ReportField("RPT00012", "合同期限(12,24]");
    ReportField RPT00013 = new ReportField("RPT00013", "合同期限(24,36]");
    ReportField RPT00014 = new ReportField("RPT00014", "合同期限(36,48]");
    ReportField RPT00015 = new ReportField("RPT00015", "合同期限(48,60]");
    /**
     * 每日发生 - 放款 - 抵押率
     */
    ReportField RPT00021 = new ReportField("RPT00021", "抵押率-无抵押");
    ReportField RPT00022 = new ReportField("RPT00022", "抵押率(0%,20%]");
    ReportField RPT00023 = new ReportField("RPT00023", "抵押率(20%,40%]");
    ReportField RPT00024 = new ReportField("RPT00024", "抵押率(40%,60%]");
    ReportField RPT00025 = new ReportField("RPT00025", "抵押率(60%,80%]");
    ReportField RPT00026 = new ReportField("RPT00026", "抵押率(80%,100%]");
    /**
     * 每日发生 - 放款 - 还款方式
     */
    ReportField RPT00031 = new ReportField("RPT00031", "还款方式-等额本息");
    ReportField RPT00032 = new ReportField("RPT00032", "还款方式-等额本金");
    ReportField RPT00033 = new ReportField("RPT00033", "还款方式-智慧还款");
    /**
     * 每日发生 - 放款 - 借款人评分
     */
    ReportField RPT00040 = new ReportField("RPT00040", "借款人评分(0,10]");
    ReportField RPT00041 = new ReportField("RPT00041", "借款人评分(10,20]");
    ReportField RPT00042 = new ReportField("RPT00042", "借款人评分(20,30]");
    ReportField RPT00043 = new ReportField("RPT00043", "借款人评分(30,40]");
    ReportField RPT00044 = new ReportField("RPT00044", "借款人评分(40,50]");
    ReportField RPT00045 = new ReportField("RPT00045", "借款人评分(50,60]");
    ReportField RPT00046 = new ReportField("RPT00046", "借款人评分(60,70]");
    ReportField RPT00047 = new ReportField("RPT00047", "借款人评分(70,80]");
    ReportField RPT00048 = new ReportField("RPT00048", "借款人评分(80,90]");
    ReportField RPT00049 = new ReportField("RPT00049", "借款人评分(90,100]");

    /**
     * 每日发生 - 放款 - 借款人收入
     */
    ReportField RPT00050 = new ReportField("RPT00050", "借款人收入(0,10]");
    ReportField RPT00051 = new ReportField("RPT00051", "借款人收入(10,20]");
    ReportField RPT00052 = new ReportField("RPT00052", "借款人收入(20,30]");
    ReportField RPT00053 = new ReportField("RPT00053", "借款人收入(30,40]");
    ReportField RPT00054 = new ReportField("RPT00054", "借款人收入(40,+]");
    /**
     * 每日发生 - 还款
     */
    ReportField RPT001 = new ReportField("RPT001", "还款");
    /**
     * 每日发生 - 还款 - 分布
     */
    ReportField RPT0011 = new ReportField("RPT0011", "正常本金还款");
    ReportField RPT0012 = new ReportField("RPT0012", "部分早尝还款");
    ReportField RPT0013 = new ReportField("RPT0013", "全部早尝还款");
    ReportField RPT0014 = new ReportField("RPT0014", "逾期本金还款");
    ReportField RPT0015 = new ReportField("RPT0015", "正常还款利息");
    ReportField RPT0016 = new ReportField("RPT0016", "逾期还款利息");
    ReportField RPT0017 = new ReportField("RPT0017", "提前还款服务费");

    /**
     * 资产分析
     */
    /**
     * 资产分析 - 余额
     */
    // 含利息
    ReportField RPT002 = new ReportField("RPT002", "余额");
    ReportField RPT0020 = new ReportField("RPT0020", "正常贷款本金");
    ReportField RPT0021 = new ReportField("RPT0021", "[1,30]逾期本金");
    ReportField RPT0022 = new ReportField("RPT0022", "[31,60]逾期本金");
    ReportField RPT0023 = new ReportField("RPT0023", "[61,90]逾期本金");
    ReportField RPT0024 = new ReportField("RPT0024", "[91,120]逾期本金");
    ReportField RPT0025 = new ReportField("RPT0025", "[121,150]逾期本金");
    ReportField RPT0026 = new ReportField("RPT0026", "[151,180]逾期本金");
    ReportField RPT0027 = new ReportField("RPT0027", "[181,+]逾期本金");
}
