/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report.wk;

import com.abssqr.plat.common.facade.model.report.manRpt.AmtPropCntGroup;
import com.abssqr.plat.common.facade.model.report.manRpt.AstRpt;
import com.abssqr.plat.common.facade.model.report.manRpt.CashRpt;
import com.abssqr.plat.common.facade.model.report.manRpt.CommonPropStatGroup;
import com.abssqr.plat.common.facade.model.report.manRpt.FeeRpt;
import com.abssqr.plat.common.facade.model.report.manRpt.GrantRpt;
import com.abssqr.plat.common.facade.model.report.manRpt.InvestInfoRpt;
import com.abssqr.plat.common.facade.model.report.manRpt.PlanCommonRpt;
import com.abssqr.plat.common.facade.model.report.manRpt.RepoRpt;
import com.abssqr.plat.common.facade.model.report.manRpt.RiskClzRpt;
import com.abssqr.plat.common.facade.model.report.manRpt.TfrRpt;
import com.general.system.common.model.BaseEntity;
import com.google.common.collect.Lists;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.shared.report.wk: WkManagerReport.java, v 0.1 2019-07-01 01:19 zhenxuan.luo Exp $ 
 */
public class WkManagerReport extends BaseEntity implements Serializable {
    
    private static final long serialVersionUID = 7492235433774907698L;
    
    /**
     * 计划编号
     */
    private String planNo;
    /**
     * 计划名称
     */
    private String planName;
    /**
     * 利率计算类型
     */
    private String calcIntrType;
    /**
     * 报告开始日期
     */
    private Date   rptEndDate;
    /**
     * 报告结束日期
     */
    private Date   rptStartDate;
    /**
     * 统计天数
     */
    private long   rptDays;
    
    /**
     * 计划分析
     */
    private PlanCommonRpt       commonRpt      = new PlanCommonRpt();
    /**
     * 兑付信息
     */
    private List<InvestInfoRpt> investRpts     = Lists.newArrayList();
    /**
     * 资金使用情况
     */
    private CashRpt             cashRpt        = new CashRpt();
    /**
     * 转让情况
     */
    private TfrRpt              tfrRpt         = new TfrRpt();
    /**
     * 资产放款情况
     */
    private GrantRpt            grantRpt       = new GrantRpt();
    /**
     * 资产特征
     */
    private AstRpt              astRpt         = new AstRpt();
    /**
     * 回收情况
     */
    private RepoRpt             repoRpt        = new RepoRpt();
    /**
     * 五级分类
     */
    private RiskClzRpt          riskClzRpt     = new RiskClzRpt();
    /**
     * 费用支出
     */
    private List<FeeRpt>        feeRpts        = Lists.newArrayList();
    /**
     * 统计属性集合
     */
    private CommonPropStatGroup commonPropStat = new CommonPropStatGroup();
    /**
     * 计数属性集合
     */
    private AmtPropCntGroup     propCnt        = new AmtPropCntGroup();
    
    public void sumInvestRpt() {
        InvestInfoRpt totalRpt = new InvestInfoRpt();
        totalRpt.setInvestNo("total");
        totalRpt.setInvestName("总计");
        for (InvestInfoRpt infoRpt : this.investRpts) {
            totalRpt.sum(infoRpt);
        }
    
        this.investRpts.add(totalRpt);
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getPlanName() {
        return planName;
    }
    
    public void setPlanName(String planName) {
        this.planName = planName;
    }
    
    public String getCalcIntrType() {
        return calcIntrType;
    }
    
    public void setCalcIntrType(String calcIntrType) {
        this.calcIntrType = calcIntrType;
    }
    
    public Date getRptEndDate() {
        return rptEndDate;
    }
    
    public void setRptEndDate(Date rptEndDate) {
        this.rptEndDate = rptEndDate;
    }
    
    public Date getRptStartDate() {
        return rptStartDate;
    }
    
    public void setRptStartDate(Date rptStartDate) {
        this.rptStartDate = rptStartDate;
    }
    
    public long getRptDays() {
        return rptDays;
    }
    
    public void setRptDays(long rptDays) {
        this.rptDays = rptDays;
    }
    
    public PlanCommonRpt getCommonRpt() {
        return commonRpt;
    }
    
    public void setCommonRpt(PlanCommonRpt commonRpt) {
        this.commonRpt = commonRpt;
    }
    
    public List<InvestInfoRpt> getInvestRpts() {
        return investRpts;
    }
    
    public void setInvestRpts(List<InvestInfoRpt> investRpts) {
        this.investRpts = investRpts;
    }
    
    public CashRpt getCashRpt() {
        return cashRpt;
    }
    
    public void setCashRpt(CashRpt cashRpt) {
        this.cashRpt = cashRpt;
    }
    
    public TfrRpt getTfrRpt() {
        return tfrRpt;
    }
    
    public void setTfrRpt(TfrRpt tfrRpt) {
        this.tfrRpt = tfrRpt;
    }
    
    public AstRpt getAstRpt() {
        return astRpt;
    }
    
    public void setAstRpt(AstRpt astRpt) {
        this.astRpt = astRpt;
    }
    
    public RepoRpt getRepoRpt() {
        return repoRpt;
    }
    
    public void setRepoRpt(RepoRpt repoRpt) {
        this.repoRpt = repoRpt;
    }
    
    public RiskClzRpt getRiskClzRpt() {
        return riskClzRpt;
    }
    
    public void setRiskClzRpt(RiskClzRpt riskClzRpt) {
        this.riskClzRpt = riskClzRpt;
    }
    
    public List<FeeRpt> getFeeRpts() {
        return feeRpts;
    }
    
    public void setFeeRpts(List<FeeRpt> feeRpts) {
        this.feeRpts = feeRpts;
    }
    
    public CommonPropStatGroup getCommonPropStat() {
        return commonPropStat;
    }
    
    public void setCommonPropStat(CommonPropStatGroup commonPropStat) {
        this.commonPropStat = commonPropStat;
    }
    
    public AmtPropCntGroup getPropCnt() {
        return propCnt;
    }
    
    public void setPropCnt(AmtPropCntGroup propCnt) {
        this.propCnt = propCnt;
    }
    
    public GrantRpt getGrantRpt() {
        return grantRpt;
    }
    
    public void setGrantRpt(GrantRpt grantRpt) {
        this.grantRpt = grantRpt;
    }
}