/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.acct;

import com.abssqr.plat.common.facade.enums.AccountAttributeEnum;
import com.abssqr.plat.common.facade.enums.AccountTypeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;

/**
 * 账号
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.sub: AccountParam.java, v 0.1 2019-05-30 15:17 bangis.wangdf Exp $
 */
public class AccountParam extends BaseEntity implements Serializable {
    private static final long   serialVersionUID = -4151866537924097037L;
    /**
     * 账户类型
     */
    @VldEnums(enumClass = AccountTypeEnum.class)
    private              String actType          = AccountTypeEnum.BANK.getCode();
    /**
     * 账户属性
     */
    @VldEnums(enumClass = AccountAttributeEnum.class)
    private              String actAttr;
    /**
     * 五矿渠道
     */
    @VldString(message = "渠道码不能为空")
    private              String channelNo;
    /**
     * 账户号
     */
    private              String actNo;
    /**
     * 账号名
     */
    private              String actName;
    /**
     * 省
     */
    private              String actProv;
    /**
     * 市
     */
    private              String actCity;
    /**
     * 开户行
     */
    private              String actBank;

    public String getActType() {
        return actType;
    }

    public void setActType(String actType) {
        this.actType = actType;
    }

    public String getActAttr() {
        return actAttr;
    }

    public void setActAttr(String actAttr) {
        this.actAttr = actAttr;
    }

    public String getActNo() {
        return actNo;
    }

    public void setActNo(String actNo) {
        this.actNo = actNo;
    }

    public String getActName() {
        return actName;
    }

    public void setActName(String actName) {
        this.actName = actName;
    }

    public String getActProv() {
        return actProv;
    }

    public void setActProv(String actProv) {
        this.actProv = actProv;
    }

    public String getActCity() {
        return actCity;
    }

    public void setActCity(String actCity) {
        this.actCity = actCity;
    }

    public String getActBank() {
        return actBank;
    }

    public void setActBank(String actBank) {
        this.actBank = actBank;
    }

    public String getChannelNo() {
        return channelNo;
    }

    public void setChannelNo(String channelNo) {
        this.channelNo = channelNo;
    }
}
