package com.abssqr.plat.common.facade.param.analyse;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldNotNull;
import com.abssqr.plat.common.facade.validation.VldString;
import org.springframework.web.multipart.MultipartFile;

/**
 * 上传计划文件参数
 * @author hanfei
 * @version $Id: FundPlanFileQprParam.java, v 0.1 2019-12-22 10:47 AM hanfei Exp $
 */
public class FundPlanFileQprParam extends BaseOprParam {


    @VldString(message = "文件唯一编码不能为空")
    private String planNo;

    @VldNotNull(message = "请上传有效文件")
    private MultipartFile file;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }
}
