/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.alloc;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;
import com.general.system.common.model.Money;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.alloc: PlanAllocCfrmCalcParam.java, v 0.1 2019-06-03 14:27 bangis.wangdf Exp $
 */
public class PlanAllocCfrmCalcParam extends BaseParam {
    private static final long serialVersionUID = -8403103011048343162L;
    
    @VldString(message = "计划编号不能为空")
    private String planNo;
    /**
     * allocNo 分配金额.
     */
    @VldString(message = "分配金额不能为空")
    private String allocAmtDesc;
    /**
     * clearDate 分配计划编号.
     */
    @VldString(message = "分配计划编号不能为空")
    private String allocNo;
    
    /**
     * 试算事项参数
     */
//    @VldCollection(message = "事项集合不能为空")
//    private List<PlanAllocItemCalcParam> itemCalcParamList;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }
    
    public Money getAllocAmt() {
        return new Money(this.allocAmtDesc);
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getAllocAmtDesc() {
        return allocAmtDesc;
    }
    
    public void setAllocAmtDesc(String allocAmtDesc) {
        this.allocAmtDesc = allocAmtDesc;
    }
    
    public String getAllocNo() {
        return allocNo;
    }
    
    public void setAllocNo(String allocNo) {
        this.allocNo = allocNo;
    }
}
