/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.alloc;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 * @author hanfei
 * @version PlanAllocPayParam.java, v 0.1 2019-07-09 14:27 hanfei Exp $
 */
public class PlanAllocPayParam extends BaseOprParam {
    
    /**
     * 分配计划编号
     */
    @VldString(message = "分配计划不能为空")
    private String allocNo;
    /**
     * outTransNo 外部交易流水号.
     */
    private String outTransNo;
    /**
     * 线下时 为true
     */
    private Boolean offLine = false;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ALLOC_PAY;
    }
    
    public String getAllocNo() {
        return allocNo;
    }
    
    public void setAllocNo(String allocNo) {
        this.allocNo = allocNo;
    }
    
    public Boolean getOffLine() {
        return offLine;
    }
    
    public void setOffLine(Boolean offLine) {
        this.offLine = offLine;
    }
    
    public String getOutTransNo() {
        return outTransNo;
    }
    
    public void setOutTransNo(String outTransNo) {
        this.outTransNo = outTransNo;
    }
}
