/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.utility;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;
import com.general.system.common.model.Money;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.utility: VaTaxCalcParam.java, v 0.1 2019-06-05 01:37 zhenxuan.luo Exp $
 */
public class PlanVaTaxCalcParam extends BaseParam {
    private static final long serialVersionUID = 4682684156907811144L;
    
    /**
     * 计划编号
     */
    @VldString(message = "计划编号不能为空")
    private String planNo;
    
    /**
     * 计税金额
     */
    @VldString(message = "计税金额不能为空")
    private String amtDesc;
    
    public Money getAmt() {
        return new Money(this.amtDesc);
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getAmtDesc() {
        return amtDesc;
    }
    
    public void setAmtDesc(String amtDesc) {
        this.amtDesc = amtDesc;
    }
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.OTHER;
    }
}