/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.result.analyse;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 资金情况概览
 * @author hanfei
 * @version $Id: AnalyseDayAmtInfoVO.java, v 0.1 2019-09-24 5:23 PM hanfei Exp $
 */
public class AnalyseDayAmtInfoVO extends BaseEntity implements Serializable {
    
    /**
     * 计划编号
     */
    private String     planNo;
    /**
     * 资金余额
     */
    private Money      fundBal = new Money();
    /**
     * 资金余额较昨日变化
     */
    private Money      fundChange = new Money();
    /**
     * 资金流出
     */
    private Money      flowOut = new Money();
    /**
     * 累计流出
     */
    private Money      flowOutTotal = new Money();
    /**
     * 资金流入
     */
    private Money      flowIn = new Money();
    /**
     * 累计流入
     */
    private Money      flowInTotal = new Money();
    /**
     * 日闲置率
     */
    private BigDecimal idleRate = BigDecimal.ZERO;
    /**
     * 平均闲置率
     */
    private BigDecimal idleAvgRate = BigDecimal.ZERO;
    
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public Money getFundBal() {
        return fundBal;
    }
    
    public void setFundBal(Money fundBal) {
        this.fundBal = fundBal;
    }
    
    public Money getFundChange() {
        return fundChange;
    }
    
    public void setFundChange(Money fundChange) {
        this.fundChange = fundChange;
    }
    
    public Money getFlowOut() {
        return flowOut;
    }
    
    public void setFlowOut(Money flowOut) {
        this.flowOut = flowOut;
    }
    
    public Money getFlowOutTotal() {
        return flowOutTotal;
    }
    
    public void setFlowOutTotal(Money flowOutTotal) {
        this.flowOutTotal = flowOutTotal;
    }
    
    public Money getFlowIn() {
        return flowIn;
    }
    
    public void setFlowIn(Money flowIn) {
        this.flowIn = flowIn;
    }
    
    public Money getFlowInTotal() {
        return flowInTotal;
    }
    
    public void setFlowInTotal(Money flowInTotal) {
        this.flowInTotal = flowInTotal;
    }
    
    public BigDecimal getIdleRate() {
        return idleRate;
    }
    
    public void setIdleRate(BigDecimal idleRate) {
        this.idleRate = idleRate;
    }
    
    public BigDecimal getIdleAvgRate() {
        return idleAvgRate;
    }
    
    public void setIdleAvgRate(BigDecimal idleAvgRate) {
        this.idleAvgRate = idleAvgRate;
    }
}
