/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanAstLogDO;
import com.abssqr.plat.common.model.domain.loanTrans.LoanAstLog;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;

import java.util.List;

/**
 *
 *
 * @author yaphet
 * @version com.abssqr.plat.common.model.convertor: LoanInstalConvert.java, v 0.1 2018-06-20 上午10:53 yaphet Exp $
 */
public class LoanAstLogConvert {
    
    public static List<LoanAstLogDO> convert2Dos(List<LoanAstLog> vars) {
        
        List<LoanAstLogDO> doList = Lists.newArrayList();
        
        if (CollectionUtils.isEmpty(vars)) {
            return doList;
        }
        
        for (LoanAstLog loanAstLog : vars) {
            doList.add(convert2Do(loanAstLog));
        }
        
        return doList;
    }
    
    public static LoanAstLogDO convert2Do(LoanAstLog var) {
        
        if (null == var) {
            return null;
        }
        
        LoanAstLogDO instance = new LoanAstLogDO();
        
        instance.setAstNo(var.getAstNo());
        instance.setBizNo(var.getBizNo());
        instance.setSeqNo(var.getSeqNo());
        instance.setExtInf(var.getExtInf());
        instance.setOwnOrg(var.getOwnOrg());
        instance.setProdNo(var.getProdNo());
        instance.setUserId(var.getUserId());
        instance.setExecTms(var.getExecTms());
        instance.setInAstNo(var.getInAstNo());
        instance.setOwnPack(var.getOwnPack());
        instance.setOutAstNo(var.getOutAstNo());
        instance.setOutBizNo(var.getOutBizNo());
        instance.setEventCode(var.getEventCode().getCode());
        instance.setLoanAstNo(var.getLoanAstNo());
        instance.setOutProdNo(var.getOutProdNo());
        instance.setTransCode(var.getEventCode().getSceneCode().getCode());
        instance.setAfAstStatus(var.getAfAstStatus().getCode());
        instance.setBfAstStatus(var.getBfAstStatus().getCode());
        instance.setLenderOrgCode(var.getLenderOrgCode());
        instance.setTermNo(var.getTermNo());
        instance.setTransTime(var.getTransTime());
        instance.setAccountDate(var.getAccountDate());
        instance.setPrinAmt(var.getPrinAmt());
        instance.setAfPrinBal(var.getAfPrinBal());
        instance.setClrgAmt(var.getClrgAmt());
        
        return instance;
    }
    
}
