/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstLogDO;
import com.abssqr.plat.common.model.domain.plan.PlanAstLog;
import com.general.system.tool.util.ToolUtil;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: PlanAstLogConvert.java, v 0.1 2018-01-05 下午2:56 hanfei Exp $
 */
public class PlanAstLogConvert {
    
    public static PlanAstLogDO convert2DO(PlanAstLog obj) {
        if (obj == null) {
            return null;
        }
        PlanAstLogDO instance = new PlanAstLogDO();
        instance.setExtInf(obj.getExtInf());
        instance.setPlanNo(obj.getPlanNo());
        instance.setTransBizNo(obj.getTransBizNo());
        /**
         * 交易对象类型
         */
        instance.setTraderType(obj.getTraderType().getCode());
        instance.setTransCode(obj.getTransCode().getCode());
        instance.setChangeType(obj.getChangeType().getCode());
        instance.setAccountDate(obj.getAccountDate());
        instance.setCash(obj.getCash());
        instance.setBankBal(obj.getBankBal());
        instance.setCashAmt(obj.getCashAmt());
        instance.setAccGrant(obj.getAccGrant());
        instance.setLastCash(obj.getLastCash());
        instance.setPayClear(obj.getPayClear());
        instance.setPayOnWay(obj.getPayOnWay());
        instance.setRepoClear(obj.getRepoClear());
        instance.setRepoOnWay(obj.getRepoOnWay());
        instance.setFrozenCash(obj.getFrozenCash());
        instance.setAccGrantAmt(obj.getAccGrantAmt());
        instance.setLastBankBal(obj.getLastBankBal());
        instance.setLastAccGrant(obj.getLastAccGrant());
        instance.setLastPayClear(obj.getLastPayClear());
        instance.setLastPayOnWay(obj.getLastPayOnWay());
        instance.setFrozenCashAmt(obj.getFrozenCashAmt());
        instance.setLastRepoClear(obj.getLastRepoClear());
        instance.setLastRepoOnWay(obj.getLastRepoOnWay());
        instance.setLastFrozenCash(obj.getLastFrozenCash());
        instance.setHappenAmt(obj.getHappenAmt());
        instance.setCheckCash(obj.getCheckCash());
        instance.setLastCheckCash(obj.getLastCheckCash());
        
        return instance;
    }
    
    public static List<PlanAstLogDO> convert2DOs(List<PlanAstLog> logs) {
        if (ToolUtil.isEmpty(logs)) {
            return null;
        }
        List<PlanAstLogDO> entity = new ArrayList<>(logs.size());
        for (PlanAstLog log : logs) {
            PlanAstLogDO one = convert2DO(log);
            if (one == null) {
                continue;
            }
            entity.add(one);
        }
        return entity;
    }
}

