/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanCapitalLogDO;
import com.abssqr.plat.common.facade.enums.PlanCapitalTransTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanCapitalLog;
import com.abssqr.plat.common.facade.model.plan.PlanCapitalOrder;
import com.general.system.common.util.DateTimeUtil;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.convertor: PlanCapitalLogConvertor.java, v 0.1 2019-05-28 15:11 zhenxuan.luo Exp $
 */
public class PlanCapitalLogConvertor {
    
    public static PlanCapitalLog convert2Domain(PlanCapitalLogDO var) {
        
        if (var == null) {
            return null;
        }
    
        PlanCapitalLog res = new PlanCapitalLog();
        res.setPlanNo(var.getPlanNo());
        res.setSeqNo(var.getSeqNo());
        res.setBizNo(var.getBizNo());
        res.setOutBizNo(var.getOutBizNo());
        res.setAccountDate(var.getAccountDate());
        res.setTransTime(var.getTransTime());
        res.setTransType(PlanCapitalTransTypeEnum.getByCode(var.getTransType()));
        res.setAmt(var.getAmt());
        res.setAftBal(var.getAftBal());
        res.setPlanAcct(var.getPlanAcct());
        res.setCntPtyCode(var.getCntPtyCode());
        res.setCntPtyAcct(var.getCntPtyAcct());
        res.setMemo(var.getMemo());
        
        return res;
    }
    
    public static PlanCapitalLogDO convert2DO(PlanCapitalLog var) {
        
        if (var == null) {
            return null;
        }
    
        PlanCapitalLogDO res = new PlanCapitalLogDO();
        res.setPlanNo(var.getPlanNo());
        res.setSeqNo(var.getSeqNo());
        res.setBizNo(var.getBizNo());
        res.setOutBizNo(var.getOutBizNo());
        res.setAccountDate(DateTimeUtil.getStandardDate(var.getAccountDate()));
        res.setTransTime(var.getTransTime());
        res.setTransType(var.getTransType().getCode());
        res.setAmt(var.getAmt());
        res.setAftBal(var.getAftBal());
        res.setPlanAcct(var.getPlanAcct());
        res.setCntPtyCode(var.getCntPtyCode());
        res.setCntPtyAcct(var.getCntPtyAcct());
        res.setMemo(var.getMemo());
        
        return res;
    }
    
    public static PlanCapitalLog buildPlanCapitalLog(PlanCapitalOrder planCapitalOrder) {
        if (planCapitalOrder == null) {
            return null;
        }
        PlanCapitalLog planCapitalLog = new PlanCapitalLog();
        planCapitalLog.setPlanNo(planCapitalOrder.getPlanNo());
        planCapitalLog.setSeqNo(planCapitalOrder.getSeqNo());
        planCapitalLog.setBizNo(planCapitalOrder.getBizNo());
        planCapitalLog.setOutBizNo(planCapitalOrder.getOutTransNo());
        planCapitalLog.setAccountDate(planCapitalOrder.getAccountDate());
        planCapitalLog.setTransTime(planCapitalOrder.getFinishTime());
        planCapitalLog.setTransType(planCapitalOrder.getTransType());
        planCapitalLog.setAmt(planCapitalOrder.getCfrmAmt());
        planCapitalLog.setCntPtyCode(planCapitalOrder.getCntPtyCode());
        planCapitalLog.setMemo(planCapitalOrder.getMemo());
        
        if (planCapitalOrder.getPlanAcct() != null){
            planCapitalLog.setPlanAcct(planCapitalOrder.getPlanAcct().getActNo());
        }
        
        if (planCapitalOrder.getCntPtyAcct() != null){
            planCapitalLog.setCntPtyAcct(planCapitalOrder.getCntPtyAcct().getActNo());
        }
        return planCapitalLog;
    }
}