/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.ProductRiskClDO;
import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.abssqr.plat.common.facade.model.prod.ProductRiskCl;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;

import java.util.List;

/**
 * @author hanfei
 * @version $Id: ProdRiskClConvert.java, v 0.1 2018-01-19 下午8:27 hanfei Exp $
 */
public class ProdRiskClConvert {
    
    public static List<ProductRiskCl> convertDTOs(List<ProductRiskClDO> dos) {
        if (CollectionUtils.isEmpty(dos)) {
            return null;
        }
        List<ProductRiskCl> result = Lists.newArrayList();
        dos.forEach(DO -> {
            result.add(convertDTO(DO));
        });
        
        return result;
    }
    
    public static List<ProductRiskClDO> convertDOs(List<ProductRiskCl> models, String abssqrProdCode) {
        if (CollectionUtils.isEmpty(models)) {
            return null;
        }
        List<ProductRiskClDO> result = Lists.newArrayList();
        models.forEach(domain -> {
            ProductRiskClDO aDo = convertDO(domain);
            aDo.setAbssqrProdCode(abssqrProdCode);
            result.add(aDo);
        });
        
        return result;
    }
    
    public static ProductRiskCl convertDTO(ProductRiskClDO param) {
        if (param == null) {
            return null;
        }
        ProductRiskCl result = new ProductRiskCl();
        //abs内部产品码
        result.setAbssqrProdCode(param.getAbssqrProdCode());
        //五级分类
        result.setRiskCl(AstRiskClassEnum.getByCode(param.getRiskCl()));
        //拨备比例
        result.setProv(param.getProv());
        // 逾期天数
        result.setOvdDays(param.getOvdDays());
        return result;
    }
    
    public static ProductRiskClDO convertDO(ProductRiskCl param) {
        if (param == null) {
            return null;
        }
        ProductRiskClDO result = new ProductRiskClDO();
        //abs内部产品码
        result.setAbssqrProdCode(param.getAbssqrProdCode());
        //五级分类
        result.setRiskCl(param.getRiskCl().getCode());
        //拨备比例
        result.setProv(param.getProv());
        // 逾期天数
        result.setOvdDays(param.getOvdDays());
        return result;
    }
    
}
