/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.enums.LoanStatusEnum;
import com.abssqr.plat.common.facade.enums.RateTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 贷款资产信息
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.asset: Loan.java, v 0.1 2017-12-12 下午2:48 guozhenhua Exp $
 */
public class LoanBak extends BaseEntity {
    
    private Loan           loan;
    /**
     * 备份日
     */
    private Date           bakDate;
    /**
     * 成本
     */
    private Money          cost = new Money();
    /**
     * 年化天数
     */
    private Integer        rateDays;
    /**
     * 贷款利率
     */
    private BigDecimal     rate = BigDecimal.ZERO;
    /**
     * 利率类型
     */
    private RateTypeEnum   rateType;
    /**
     * 资产整体逾期天数
     */
    private int            astOvdDays;
    /**
     * 资产状态
     */
    private LoanStatusEnum astStatus;
    
    
    public Loan getLoan() {
        return loan;
    }
    
    public void setLoan(Loan loan) {
        this.loan = loan;
    }
    
    public Date getBakDate() {
        return bakDate;
    }
    
    public void setBakDate(Date bakDate) {
        this.bakDate = bakDate;
    }
    
    public Money getCost() {
        return cost;
    }
    
    public void setCost(Money cost) {
        this.cost = cost;
    }
    
    public BigDecimal getRate() {
        return rate;
    }
    
    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }
    
    public Integer getRateDays() {
        return rateDays;
    }
    
    public void setRateDays(Integer rateDays) {
        this.rateDays = rateDays;
    }
    
    public int getAstOvdDays() {
        return astOvdDays;
    }
    
    public void setAstOvdDays(int astOvdDays) {
        this.astOvdDays = astOvdDays;
    }
    
    public RateTypeEnum getRateType() {
        return rateType;
    }
    
    public void setRateType(RateTypeEnum rateType) {
        this.rateType = rateType;
    }
    
    public LoanStatusEnum getAstStatus() {
        return astStatus;
    }
    
    public void setAstStatus(LoanStatusEnum astStatus) {
        this.astStatus = astStatus;
    }
}
