/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.domain.astSync;

import com.abssqr.plat.common.facade.base.DebtMoney;
import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.abssqr.plat.common.facade.enums.LoanStatusEnum;

import java.util.Date;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.domain.sync: AstSyncBill.java, v 0.1 2017-12-26 上午1:28 guozhenhua Exp $
 */
public class LoanAstSyncBill extends BaseLoanAstSyncEntity {
    
    /**
     * 资产类型
     */
    private AstTypeEnum    astType;
    /**
     * 发起机构
     */
    private String         sponserOrgCode;
    /**
     * agentOrgCode 贷款的实际出资机构.
     */
    private String         lenderOrgCode;
    /**
     * agentOrgCode 贷款的管理机构
     */
    private String        managerOrgCode;
    /**
     * 产品编码
     */
    private String         prodCode;
    /**
     * startDate 借据开始日期
     */
    private Date           startDate;
    /**
     * endDate 借据到期日
     */
    private Date           endDate;
    /**
     * curTerm 借据当前所在的期次.
     */
    private int            curTerm;
    /**
     * termCnt 总期数.
     */
    private int            termCnt;
    /**
     * 余额
     */
    private DebtMoney      bal = new DebtMoney();
    /**
     * status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     */
    private LoanStatusEnum status;
    /**
     * 放款日期
     */
    private Date           disbDate;
    /**
     * 结清日期
     */
    private Date           clearDate;
    
    private boolean isIntrSet = false;
    
    public boolean isIntrSet() {
        return isIntrSet;
    }
    
    public void setIntrSet(boolean intrSet) {
        isIntrSet = intrSet;
    }
    
    public AstTypeEnum getAstType() {
        return astType;
    }
    
    public void setAstType(AstTypeEnum astType) {
        this.astType = astType;
    }
    
    public String getLenderOrgCode() {
        return lenderOrgCode;
    }
    
    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }
    
    public String getManagerOrgCode() {
        return managerOrgCode;
    }
    
    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }
    
    public String getProdCode() {
        return prodCode;
    }
    
    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }
    
    public Date getStartDate() {
        return startDate;
    }
    
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }
    
    public Date getEndDate() {
        return endDate;
    }
    
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
    
    public int getCurTerm() {
        return curTerm;
    }
    
    public void setCurTerm(int curTerm) {
        this.curTerm = curTerm;
    }
    
    public int getTermCnt() {
        return termCnt;
    }
    
    public void setTermCnt(int termCnt) {
        this.termCnt = termCnt;
    }
    
    public DebtMoney getBal() {
        return bal;
    }
    
    public void setBal(DebtMoney bal) {
        this.bal = bal;
    }
    
    public LoanStatusEnum getStatus() {
        return status;
    }
    
    public void setStatus(LoanStatusEnum status) {
        this.status = status;
    }
    
    public String getSponserOrgCode() {
        return sponserOrgCode;
    }
    
    public void setSponserOrgCode(String sponserOrgCode) {
        this.sponserOrgCode = sponserOrgCode;
    }
    
    public Date getClearDate() {
        return clearDate;
    }
    
    public void setClearDate(Date clearDate) {
        this.clearDate = clearDate;
    }
    
    public Date getDisbDate() {
        return disbDate;
    }
    
    public void setDisbDate(Date disbDate) {
        this.disbDate = disbDate;
    }
}
