/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.domain.task;

import java.util.Date;
import java.util.List;

import com.abssqr.plat.common.facade.enums.TaskGroupTypeEnum;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.domain.task: TaskGroup.java, v 0.1 2019-12-10 11:04 bangis.wangdf Exp $
 */
public class TaskGroup{
    /**
     * id 主键.
     */
    private Long              id;
    /**
     * tasks 当前需要处理的任务范围.
     */
    private List           tasks;
    /**
     * status 标记当前任务范围是否处理完毕.
     */
    private TaskStatusEnum    status;
    /**
     * jobName 任务名.
     */
    private String            jobName;
    /**
     * hostName 当前分配处理机器的IP.
     */
    private String            hostName;
    /**
     * taskType 标记当前的任务类型 0代表范围 1代表任务实体.
     */
    private TaskGroupTypeEnum taskType;
    /**
     * disable 当前任务处理是否禁用.
     */
    private Boolean           disable;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List getTasks() {
        return tasks;
    }

    public void setTasks(List tasks) {
        this.tasks = tasks;
    }

    public TaskStatusEnum getStatus() {
        return status;
    }

    public void setStatus(TaskStatusEnum status) {
        this.status = status;
    }

    public String getJobName() {
        return jobName;
    }

    public void setJobName(String jobName) {
        this.jobName = jobName;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public TaskGroupTypeEnum getTaskType() {
        return taskType;
    }

    public void setTaskType(TaskGroupTypeEnum taskType) {
        this.taskType = taskType;
    }

    public Boolean getDisable() {
        return disable;
    }

    public void setDisable(Boolean disable) {
        this.disable = disable;
    }

}
