/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.enums: BizErrorCodeEnum.java, v 0.1 2018-02-02 上午10:43 guozhenhua Exp $ 
 */
public enum JobNameEnum implements IEnum {
    
    ASSET_IMPORT("assetImport", "资产导入"),

    ;
    
    private static final Map<String, JobNameEnum> codeMap = new HashMap<String, JobNameEnum>();

    static {
        for (JobNameEnum item : JobNameEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    JobNameEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static JobNameEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return this.code;
    }
    
    @Override
    public String getDesc() {
        return this.desc;
    }
}
