/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 区分对应会计日的机构类型
 * @author hanfei
 * @version $Id: OrgTypeEnum.java, v 0.1 2020-03-03 4:43 PM hanfei Exp $
 */
public enum OrgTypeEnum implements IEnum<String> {
    
    ABS("ABS", "转让系统"),
    AST("AST", "资产机构"),
    
    ;
    
    private static final Map<String, OrgTypeEnum> codeMap = new HashMap<String, OrgTypeEnum>();
    static {
        for (OrgTypeEnum item : OrgTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    OrgTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static OrgTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }


}
