/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 交易角色
 * @author hanfei
 * @version $Id: TraderTypeEnum.java, v 0.1 2019-10-12 2:10 PM hanfei Exp $ 
 */
public enum TraderTypeEnum implements IEnum<String> {
    
    INITIATOR("INITIATOR", "发起方"),
    
    COUNTERPARTY("COUNTERPARTY","对手方"),
    ;
    
    private static final Map<String, TraderTypeEnum> codeMap  = new HashMap();
    static {
        for (TraderTypeEnum item : TraderTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    TraderTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static TraderTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }

    
}
