/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo;

import com.abssqr.plat.common.dal.mysql.auto.paging.BasePage;
import com.abssqr.plat.common.util.utils.BeanCopierUtil;
import com.google.common.collect.Lists;

import java.util.List;
import java.util.function.Function;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo: BasePageVO.java, v 0.1 2019-05-24 11:29 bangis.wangdf Exp $
 */
public class BasePageVO<T, K> {
    private List<T> datas;
    private int total      = 0;
    private int limit      = 20;
    private int currPageNo = 1;

    public List<T> getDatas() {
        return datas;
    }

    public void setDatas(List<T> datas) {
        this.datas = datas;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }

    public int getCurrPageNo() {
        return currPageNo;
    }

    public void setCurrPageNo(int currPageNo) {
        this.currPageNo = currPageNo;
    }

    /**
     * 主要专递参数
     *
     * @param page
     */
    public <E extends BasePage> E toDOPage(Class<E> page) {
        return BeanCopierUtil.copy(page, this);
    }

    /**
     * 主要回传结果
     *
     * @param page
     * @param function
     */
    public void fromDOPage(BasePage page, Function<K, T> function) {
        this.setTotal(page.getTotal());
        if (page.getTotal() > 0 && page.getDatas() != null && page.getDatas().size() > 0) {
            datas = Lists.newArrayList();
            page.getDatas().forEach(data -> {
                T obj = function.apply((K)data);
                datas.add(obj);
            });
        }
    }
}
