/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.ast.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.LoanAstProfitDAO;
import com.abssqr.plat.common.model.convertor.LoanAstProfitConvert;
import com.abssqr.plat.common.model.domain.ast.LoanAstProfit;
import com.abssqr.plat.common.model.repo.ast.LoanAstProfitRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.ast.impl: LoanAstProfitRepoImpl.java, v 0.1 2019-11-13 下午14:47 zhenxuan.luo Exp $ 
 */
@Component
public class LoanAstProfitRepoImpl implements LoanAstProfitRepo {
    
    @Autowired
    private LoanAstProfitDAO loanAstProfitDAO;
    
    @Override
    public int createOrUpdate(LoanAstProfit entity) {
        if (entity == null) {
            return 0;
        }
    
        if (entity.isNew()) {
            return loanAstProfitDAO.insert(LoanAstProfitConvert.convert2DO(entity));
        } else {
            return loanAstProfitDAO.updateById(LoanAstProfitConvert.convert2DO(entity));
        }
    }
    
    @Override
    public List<LoanAstProfit> getByAstNo(String astNo) {
        return LoanAstProfitConvert.convert2Domains(loanAstProfitDAO.queryByAstNo(astNo));
    }
}