/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.clearing;

import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanClearingOrderItem;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.abssqr.plat.common.facade.model.trans.PlanClearingOrder;
import com.general.system.common.model.Money;

import java.util.Date;
import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: PlanClearingOrderRepo.java, v 0.1 2019-07-11 10:37 PM hanfei Exp $ 
 */
public interface PlanClearingOrderRepo {
    
    int createOrder(PlanClearingOrder param);
    
    int createOrderList(List<PlanClearingOrder> list);
    
    int updateOrderTransBySeqNo(String memo, String seqNo, TaskStatusEnum transStatus, String transOrderNo, TaskStatusEnum oldTransStatus);
    
    int updateOrderTransBySeqNos(String memo, List<String> seqNos, TaskStatusEnum transStatus, String transOrderNo, TaskStatusEnum oldTransStatus);
    
    List<PlanClearingOrderItem> queryByClearingOrderStat(String planNo, TaskStatusEnum transStatus, Date accountDate);
    
    Long cntInitClearingOrderByPlanNo(String planNo);
    Long cntInitClearingOrder(TransCodeEnum transCode);

    PlanClearingOrder lockBySeqNo(String no);

    /**
     * 获取计划结算金额
     * @param accountDate
     * @param planNo
     * @param transCode
     * @return
     */
    Money getAmtByPlanNo(Date accountDate, String planNo, TransCodeEnum transCode);
}
