/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.holiday;

import com.abssqr.plat.common.facade.model.holiday.Holiday;

import java.util.List;

/**
 * @author yaphet
 * @version com.abssqr.plat.common.model.repo.holiday: HolidayRepository.java, v 0.1 2018-06-27 下午3:39 yaphet Exp $
 */
public interface HolidayRepository {
    
    
    
    /**
     * 查询${orgCode}机构${beginDate}至${endDate}之间的节假日信息
     *
     * @param orgCode
     * @param beginDate
     * @param endDate
     * @return
     */
    List<Holiday> queryHolidayByOrgCodeAndDate(String orgCode, String beginDate, String endDate);
    
    /**
     * 新增一个节假日
     * @param holiday
     */
    void addHoliday(Holiday holiday);
    
    /**
     * 更新一个节假日
     * @param holiday
     */
    void updateHoliday(Holiday holiday);
    
    /**
     * 查询一个日期信息是否存在
     *
     * @param orgCode
     * @param date
     * @return
     */
    Boolean existHoliday(String orgCode, String date);
    
    
    /**
     * 查询一个日期的类型
     *
     * @param orgCode
     * @param date
     * @return
     */
    Holiday getHolidayType(String orgCode, String date);
}
