/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.loanTrans.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.LoanInstalLogDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanInstalLogDO;
import com.abssqr.plat.common.model.convertor.LoanInstalLogConvert;
import com.abssqr.plat.common.model.domain.loanTrans.LoanInstalLog;
import com.abssqr.plat.common.model.repo.loanTrans.LoanInstalLogRepository;
import com.general.system.common.model.Money;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.processor.core.service.repo: AstRepayPlanRepositoryImpl.java, v 0.1 2017-12-12 下午7:08 guozhenhua Exp $
 */
@Component
public class LoanInstalLogRepositoryImpl implements LoanInstalLogRepository {
    
    @Autowired
    private LoanInstalLogDAO loanInstalLogDAO;
    
    @Override
    public int insertBatch(List<LoanInstalLog> list) {
        if (CollectionUtils.isEmpty(list)) {
            return 0;
        }
        
        List<LoanInstalLogDO> loanLogDOS = Lists.newArrayList();
        for (LoanInstalLog log : list) {
            loanLogDOS.add(LoanInstalLogConvert.convert2Do(log));
        }
        return loanInstalLogDAO.insertBatch(loanLogDOS);
    }

    @Override
    public Money getOrgDistPftAmt(Date accountDate, String planNo){
        Long aLong = loanInstalLogDAO.calcOrgDistPftAmt(accountDate, planNo);
        return Money.createWithCent(aLong);
    }

    /**
     * 19-11-28 后instalLog仅去摊出金额
     * @param accountDate
     * @param planNo
     * @return
     */
    @Override
    public Money getOrgDistPftApporAmt(Date accountDate, String planNo) {
        //if(DateTimeUtil.isBeforeOnDate(calcAccountDate,FEE_OFFSET_DAY)) {
        //     finFeeAmt = loanInstalLogRepository.getOrgDistPftAmt(calcAccountDate,
        //        planAcctTitle.getPlanNo());
        //}else{
        //
        //}
        Long aLong = loanInstalLogDAO.calcOrgDistPftApporAmt(accountDate,planNo);
        return Money.createWithCent(aLong);
    }
}
