/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.plan;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.abssqr.plat.common.facade.enums.PlanTaskTypeEnum;
import com.abssqr.plat.common.model.domain.plan.PlanTaskLog;

/**
 * 计划任务仓储
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.plan: PlanTaskLogRepo.java, v 0.1 2019-09-23 11:27 bangis.wangdf Exp $ 
 */
public interface PlanTaskLogRepo {

    /**
     * 创建任务
     * @param task
     * @return
     */
    int createTask(PlanTaskLog task);

     /**
     * 创建任务
     * @param tasks
     * @return
     */
    int createTasks(List<PlanTaskLog> tasks);


    /**
     * 获取任务
     * @param planNo
     * @param bizDate
     * @return
     */
    PlanTaskLog getTask(String planNo, Date bizDate, PlanTaskTypeEnum taskType);

    /**
     * 获取当天完成的放款计划
     * @param bizDate
     * @param taskType
     * @return
     */
    List<PlanTaskLog> getTasks(Date bizDate, PlanTaskTypeEnum taskType);
    /**
     * 获取当天完成的放款计划
     * @param bizDate
     * @param taskType
     * @return
     */
    Map<String,PlanTaskLog> getTaskMap(Date bizDate, PlanTaskTypeEnum taskType);
}
