/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */


package com.abssqr.plat.common.model.repo.rule;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstScreenRuleDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.ScreenRulePage;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;

import java.util.List;

/**
 *
 * 筛选规则仓储
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.rule: AstScreenRuleRepo.java, v 0.1 2018-03-06 下午2:19 yaphet Exp $
 */
public interface AstScreenRuleRepo {
    /**
     * 分页查询获取筛选计划
     * @param screenRulePage
     * @return
     */
    ScreenRulePage getScreenRuleList(ScreenRulePage screenRulePage);

    /**
     * @param screenRuleNo
     * @return
     * @description 根据筛选规则编号查询筛选规则
     */
    AstScreenRule getByNo(String screenRuleNo);
    /**
     * @param screenRuleNos
     * @return
     * @description 根据筛选规则编号查询筛选规则
     */
    List<AstScreenRule> getByNos(List<String> screenRuleNos);
    
    /**
     * 增加筛选规则
     *
     * @param astScreenRule
     * @return
     */
    Integer addScreenRule(AstScreenRule astScreenRule);
    
    /**
     * 修改筛选规则
     *
     * @param astScreenRule
     * @return
     */
    Integer update(AstScreenRule astScreenRule);
    
    /**
     * 查看是否相同筛选规则
     *
     * @param screenRuleNo
     * @param screenRuleName
     * @return
     */
    int getSameRuleCnt(String screenRuleNo,String screenRuleName);
}
