/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.tr;

import com.abssqr.plat.common.facade.enums.AstPackTradeTypeEnum;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.abssqr.plat.common.model.domain.task.TrTask;

import java.util.Date;
import java.util.List;

/**
 *
 * 转让任务仓储
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.tr: TrTaskRepo.java, v 0.1 2018-01-06 01:17 hongwei.wang Exp $
 */
public interface TrTaskRepo {
    /**
     * 批量插入转让任务
     * @param trTasks
     * @return
     */
    int insertBatch(List<TrTask> trTasks);
    
    /**
     * 筛选完成后将此批次数据重置为初始化状态
     * @param status
     * @param oldStatus
     */
    void updateStatus(String batchNo, TaskStatusEnum status, TaskStatusEnum oldStatus);
    
    /**
     *
     * @param id
     * @return
     */
    TrTask lockByIdNowait(Long id);
    
    /**
     * 清空历史任务
     * @param spvPlanNo
     * @param acctDate
     * @param astPackTradeTypeEnum
     */
    void clearHisTrTask(String spvPlanNo, Date acctDate, AstPackTradeTypeEnum astPackTradeTypeEnum);
    /**
     * 获取任务数量
     * @param tfrOut
     * @param statusList
     * @return
     */
    Long cntTrTaskByTfrOut(String tfrOut, List<String> statusList, AstPackTradeTypeEnum astPackTradeTypeEnum);
}
