/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2018 All Rights Reserved. 
 */
package com.abssqr.plat.common.util.thread;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.loan.common.model.thread: ThreadLocalCleaner.java, v 0.1 2018-12-14 AM04:38 zhenxuan.luo Exp $
 */
public class ThreadLocalCleaner {
    
    /** 线程变量列表 */
    private static List<ThreadLocal<?>> tls = new ArrayList<ThreadLocal<?>>();
    
    /**
     * 私有构造器
     */
    private ThreadLocalCleaner() {
    }
    
    /**
     * 注册一个本地线程变量
     *
     * @param tl
     */
    public static void register(ThreadLocal<?> tl) {
        if (tl != null) {
            tls.add(tl);
        }
    }
    
    /**
     * 清理线程变量
     */
    public static void clean() {
        for (ThreadLocal<?> tl : tls) {
            tl.remove();
        }
    }
}