///**
// * abssqr.com Inc.
// * Copyright (c) 2017-2018 All Rights Reserved.
// */
//
//package com.abssqr.plat.core.service.holiday;
//
//import com.abssqr.plat.common.facade.enums.CommonErrorCodeEnum;
//import com.abssqr.plat.common.facade.model.holiday.Holiday;
//import com.abssqr.plat.common.model.exception.AbssqrBizException;
//import com.abssqr.plat.common.model.repo.holiday.HolidayRepository;
//import com.general.system.common.util.DateTimeUtil;
//import com.general.system.common.util.VarChecker;
//import org.apache.commons.collections.CollectionUtils;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Service;
//
//import java.util.Date;
//import java.util.List;
//
///**
// * @author yaphet
// * @version com.abssqr.plat.core.service.holiday: HolidayServiceImpl.java, v 0.1 2018-06-29 下午5:23 yaphet Exp $
// */
//@Service
//public class HolidayServiceImpl implements HolidayService {
//
//    @Autowired
//    private HolidayRepository   holidayRepository;
//    /**
//     * 每次展示多大范围的节假日信息
//     */
//    private static final Integer _SHOWDAYS = 40;
//
//
//
//    /**
//     * 查询节假日列表,传入日期的前${_SHOWDAYS}天和后${_SHOWDAYS}天
//     *
//     * @param orgCode
//     * @param date
//     * @return
//     */
//    @Override
//    public List<Holiday> queryHolidayByOrgCodeAndDate(String orgCode, String date) {
//        VarChecker.checkNotEmpty(date);
//        VarChecker.checkNotEmpty(orgCode);
//        Date today = DateTimeUtil.parseInTolerance(date);
//        Date beginDate = DateTimeUtil.addDays(today, -_SHOWDAYS);
//        Date endDate = DateTimeUtil.addDays(today, _SHOWDAYS);
//        List<Holiday> holiday = holidayRepository.queryHolidayByOrgCodeAndDate(orgCode, DateTimeUtil.formatY_M_D(beginDate), DateTimeUtil.formatY_M_D(endDate));
//        if (CollectionUtils.isNotEmpty(holiday)) {
//            return holiday;
//        } else {
//            return null;
//        }
//    }
//
//    /**
//     * 新增节假日
//     * @param holiday
//     */
//    @Override
//    public void addHoliday(Holiday holiday) {
//        //传入前要效验orgcode
//        VarChecker.checkNotEmpty(holiday.getDateInfo());
//        VarChecker.checkNotEmpty(holiday.getOrgCode());
//        //存在则新增失败
//        if (existHoliday(holiday.getOrgCode(), holiday.getDateInfo())) {
//            throw new AbssqrBizException("日期已经存在", CommonErrorCodeEnum.DATE_ALREAD_EXIST);
//        }
//        holidayRepository.addHoliday(holiday);
//    }
//
//    /**
//     * 更新一个节假日
//     * @param holiday
//     */
//    @Override
//    public void updateHoliday(Holiday holiday) {
//        //传入前要效验orgcode 和dateinfo
//        VarChecker.checkNotEmpty(holiday.getDateInfo());
//        VarChecker.checkNotEmpty(holiday.getOrgCode());
//        //不存在则更新失败
//        if (!existHoliday(holiday.getOrgCode(), holiday.getDateInfo())) {
//            throw new AbssqrBizException("日期不存在", CommonErrorCodeEnum.NO_DATA);
//        }
//        holidayRepository.updateHoliday(holiday);
//    }
//
//    /**
//     * 判断是否存在该日期
//     * @param orgCode
//     * @param date
//     * @return
//     */
//    @Override
//    public Boolean existHoliday(String orgCode, String date) {
//        return holidayRepository.existHoliday(orgCode, date);
//    }
//
//    /**
//     * 获取该日期的类型
//     * @param orgCode
//     * @param date
//     * @return
//     */
//    @Override
//    public Holiday getHolidayType(String orgCode, String date) {
//        return holidayRepository.getHolidayType(orgCode, date);
//    }
//}
