/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.core.service.plan.calc;

import com.abssqr.plat.common.facade.model.org.OrganizationEntity;
import com.abssqr.plat.common.util.base.Day;
import com.abssqr.plat.common.util.utils.DayUtil;
import com.general.system.common.util.VarChecker;
import com.general.system.tool.util.ToolUtil;

import java.util.Date;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.core.service.ast.calc: PlanHandler.java, v 0.1 2019-10-16 14:48 bangis.wangdf Exp $
 */
public class PlanHandler {
    
    /**
     * 判断是否需要做回转放
     * @param orgEntity
     * @param accountDate
     * @return
     */
    public static boolean calcNeedClr(OrganizationEntity orgEntity, Date accountDate) {
        VarChecker.checkNotNull(orgEntity, "计划不存在");
        // 考虑一个放款计划放不同的产品，不同的产品有不同的结算方式
        if (orgEntity.getNeedAlloc().isYes()) {
            // 判空
            if (ToolUtil.isNotEmpty(orgEntity.getStopPayDate())) {
                // 计算当前日期与 放款截止日相差天数
                int dayDiff = DayUtil.diffDays(new Day(accountDate),
                    new Day(orgEntity.getStopPayDate()));
                // 放款截止日后 不进行 回款户向 放款户资金划账打款操作
                if (dayDiff <= 0) {
                    return true;
                }
            }
        }
        return false;
    }

}
