/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.core.service.report.calc;

import com.abssqr.plat.common.facade.enums.ReportAstStatTypeEnum;
import com.google.common.collect.Maps;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 报表 条目计算工厂类
 * @author zhenxuan.luo
 * @version com.abssqr.plat.core.service.report.calc: ReportItemCalcFactory.java, v 0.1 2019-06-27 00:55 zhenxuan.luo Exp $ 
 */
@Component
public class ReportItemCalcFactory {
    
    private final Map<ReportAstStatTypeEnum, ReportItemCalc> itemCalcMap = Maps.newHashMap();
    
    /**
     *
     * @param type
     * @return
     */
    public ReportItemCalc get(ReportAstStatTypeEnum type) {
        return itemCalcMap.get(type);
    }
    
    /**
     *
     * @param type
     * @param reportItemCalc
     */
    public void register(ReportAstStatTypeEnum type, ReportItemCalc reportItemCalc) {
        itemCalcMap.put(type, reportItemCalc);
    }
}