/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2017 All Rights Reserved. 
 */
package com.abssqr.plat.core.service.system;

import com.abssqr.plat.common.util.base.autoconfig.AbsConfig;
import com.general.system.common.util.DateTimeUtil;
import com.general.system.common.util.SystemDateUtil;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.utils: TimeStampUtil.java, v 0.1 2017-12-28 下午22:09 zhenxuan.luo Exp $ 
 */
public class TimeStampUtil {
    //
    ///**
    // * 更新融资计划水位时的时间戳BUFFER
    // */
    //public static int TIME_STAMP_BUFFER = 3;
    
    /**
     * 获取默认间隔的时间戳（10分钟）
     *
     * @return
     */
    public static String getDefaultTimeStamp() {
        return getTimestamp(SystemDateUtil.getSystemDate());
    }
    
    /**
     * 获取时间戳
     *
     * @param dt
     * @return
     */
    public static String getTimestamp(Date dt) {
        
        return DateTimeUtil.formatYMDHM(dt);
    }
    
    /**
     * 获取当前缓冲时间戳
     *
     * @return
     */
    public static String getCurrentBufferedTimestamp() {
        return getTimestamp(
                DateTimeUtil.addMinutes(SystemDateUtil.getSystemDate(), -2 * AbsConfig.timeStampBuffer));
    }
}