/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.core.service.util;

import com.abssqr.plat.common.facade.enums.CommonTaskTypeEnum;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.abssqr.plat.common.model.domain.task.CommonTask;
import com.abssqr.plat.common.util.base.autoconfig.AbsConfig;
import com.general.system.common.util.SystemDateUtil;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 通用任务工具类
 * @author guozhenhua
 * @version com.abssqr.plat.core.service.util: CommonTaskUtil.java, v 0.1 2018-03-29 下午9:39 guozhenhua Exp $ 
 */
@Component
public class CommonTaskUtil  implements InitializingBean{

    @Autowired
    private AbsConfig envConfig;


    private static String env;


    /**
     * 构造通用任务
     * @param bizNo
     * @return
     */
    public static CommonTask buildCommonTask(String bizNo,CommonTaskTypeEnum commonTaskTypeEnum){
        CommonTask commonTask = new CommonTask();
        commonTask.setBizNo(bizNo);
        commonTask.setTaskType(commonTaskTypeEnum);
        commonTask.setTaskStatus(TaskStatusEnum.INIT);
        commonTask.setLastExecTime(SystemDateUtil.getSystemDate());
        commonTask.setExecTimes(0L);
        commonTask.setNextExecTime(commonTask.getLastExecTime());
        commonTask.setEnv(env);
        return commonTask;
    }

    /**
     * 构造通用任务
     * @param bizNo
     * @return
     */
    public static CommonTask buildCommonTaskWithContext(String bizNo, CommonTaskTypeEnum commonTaskTypeEnum, String context){
        CommonTask commonTask = buildCommonTask(bizNo,commonTaskTypeEnum);
        commonTask.setContext(context);
        return commonTask;
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        env =envConfig.getEnv();
    }
}
