package com.abssqr.plat.test.testUtils;

import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

@Component
public class BaseTestData {

    private List<WkMfsRepayInfoParam> repayInfo = Lists.newArrayList();

    private List<WkMfsRepayPlanParam> repayPlan = Lists.newArrayList();


    // 定义经常变动字段
    /**
     * 通用字段
     */
    Date d = new Date();
    SimpleDateFormat sdf  = new SimpleDateFormat("yyyyMMdd");
    String curDate = sdf.format(d);

    int length6 = (int)((Math.random())*(400000-100000)) + 100000;
    int length9 = (int)((Math.random())*(400000000-100000000)) + 100000000;
    int length10 = (int)((Math.random())*(400000000-100000000)) + 1000000000;

    // 信托计划编号
    String planNo = "planNo001";

    // 入库日期
    String txDate = "20190501";
    // 更新时间
    String updateDate = "";
    // 同步数据日期
    String syncDate = "20190502";
    // 申请时间
    String applyDate = "20190430";
    // 合同开始时间
    String contStartDate = "20190430";
    // 合同结束时间
    String contEndDate = "20201030";
    // 贷款开始时间
    String loanStartDate = "20190501";
    // 贷款结束时间
    String loanEndDate = "20191001";
    // 还款时间
    String repayDate = "";

    // 机构号
    String orgCode = "1009";
    // 牵头方
    String leader = "zhaolian";
    // 数据标志 01新增；02历史
    String dataSts = "01";



    // 贷款类型
    String loanType = "01";
    // 合同状态 [1-放款中 2-已放款 3-已冲正 4-已撤销 5-已还款（借据已放款且客户已归还过一次款) 6-已结清]
    String pactSts = "2";
    // 贷款状态 [1-放款中 2-已放款 3-已冲正 4-已撤销]
    String loanStatus = "2";
    // 贷款形态 1正常；2逾期
    String loanForm = "1";

    /**
     * 贷款信息
     */
    Double encashAmt = 30000.00;
    Double loanRate = 0.18;
    Double overRate = 0.27;
    // 利率类型 10年利率 20月利率 30日利率
    String rateType = "10";


    String clearDate = "";
    // 还款方式 01等额本息；02等额本金
    String repayMethod = "02";
    // 总期数
    int terms = 6;
    // 当前期
    int curTerm = 1;
    String repayCycle = "M";

    // 宽限期
    Long graceDay = Long.valueOf(3);


    //deducType 扣款日类型[01-放款日为扣款日 02-固定扣款日]
    String deductType = "01";
    // accountDesc 对账描述
    String accountDesc = "未对账";
    // accountState 对账状态[00-未处理 01-对账成功 02-与预授信对账失败 03-与银行流水对账失败 04-与授信对账成功 05-对账失败 默认值 00]
    String accountState = "00";
    String loanSeqNo = String.valueOf(length10) + String.valueOf(length9);

    /**
     * 还款信息
     */
    String repaySeqNo = String.valueOf(length6) + String.valueOf(length9) + String.valueOf(length6);
    String event = "12";
    Integer repayTermNo = 1;
    // 扣款方式
    String deduWay = "2ZFB";
    // 交易金额
    Double repayAmt = 0.0;
    // 实收金额
    Double incomeAmt = 0.0;
    // 还本金
    Double repayPrin = 0.0;
    // 还利息
    Double repayIntr = 0.0;
    // 还罚息
    Double repayPnlt = 0.0;
    // 还费
    Double repayFee = 0.0;
    // 还滞纳金
    Double repayOverFee = 0.0;
    // 利息减免
    Double expIntr = 0.0;
    // 罚息减免
    Double expPnlt = 0.0;
    // 违约金减免
    Double expPnltFee = 0.0;
    // 实收罚息
    Double incomePnlt = 0.0;


    /**
     * 客户信息
     *
     */
    String cifNo = "";
    String cifName = "宋林良";
    //borwType 借款人类型[01-法定代表人 02-自然人股东 04-个体工商户 05-合伙企业合伙人 06-个人独资企业出资人 07-自然人 99-其他 默认07-自然人]
    String borwType = "07";
    // certType 证件类型[0-身份证 1-户口簿 2-护照 3-军官证 4-士兵证 5-港澳居民来往内地通行证 6-台湾同胞来往内地通行证 7-临时身份证 8-外国人居留证 9-警官证 A-香港身份证 B-澳门身份证 C-台湾身份证 X-其他证件 默认为身份证0]
    String certType = "0";
    //certNo 证件号
    String certNo = "210111198503063012";

    /**
     * 产品信息
     */
    // 产品编号
    String productNo = "prodNo0001";
    // 产品名称
    String productName = "贷款产品001";

    /**
     * 资金信息
     */
    String fundNo = "";
    String openBankAccount = "6226095700002341";
    String openBankName = "";
    String openAccountName = "";
    String openAccountNo = "";


    /**
     * 合同信息
     *
     */
    // 合同id
    String pactId = "TBC00" + curDate + "0000" + String.valueOf(length6);
    // 申请id
    String appId = String.valueOf(length10) + String.valueOf(length10);
    // 合同编号
    String pactNo = "ZXH" + curDate + "00" + String.valueOf(length6);
    // 机构核算类型
    String brAccType = "B";

    // 担保方式
    String vouType = "";
    // 支付方式 01自助 02受托
    String payMent = "";
    // 币种
    String currency = "01";

    public static void main(String[] args) {
        Date d = new Date();
        SimpleDateFormat sdf  = new SimpleDateFormat("yyyyMMdd");
        String curDate = sdf.format(d);

        int length6 = (int)((Math.random())*(400000-100000)) + 100000;
        int length9 = (int)((Math.random())*(400000000-100000000)) + 100000000;
        int length10 = (int)((Math.random())*(400000000-100000000)) + 1000000000;

        String da = String.format("%td", d);

        String pactId = "TBC00" + curDate + "0000" +  String.valueOf(length6);
        System.out.println("pactId=========" + da);

    }

    public List<WkMfsRepayInfoParam> getRepayInfo() {
        return repayInfo;
    }

    public void setRepayInfo(List<WkMfsRepayInfoParam> repayInfo) {
        this.repayInfo = repayInfo;
    }

    public List<WkMfsRepayPlanParam> getRepayPlan() {
        return repayPlan;
    }

    public void setRepayPlan(List<WkMfsRepayPlanParam> repayPlan) {
        this.repayPlan = repayPlan;
    }

    public String getCurDate() {
        return curDate;
    }

    public void setCurDate(String curDate) {
        this.curDate = curDate;
    }

    public int getLength6() {
        return length6;
    }

    public void setLength6(int length6) {
        this.length6 = length6;
    }

    public int getLength9() {
        return length9;
    }

    public void setLength9(int length9) {
        this.length9 = length9;
    }

    public int getLength10() {
        return length10;
    }

    public void setLength10(int length10) {
        this.length10 = length10;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getTxDate() {
        return txDate;
    }

    public void setTxDate(String txDate) {
        this.txDate = txDate;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    public String getSyncDate() {
        return syncDate;
    }

    public void setSyncDate(String syncDate) {
        this.syncDate = syncDate;
    }

    public String getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(String applyDate) {
        this.applyDate = applyDate;
    }

    public String getContStartDate() {
        return contStartDate;
    }

    public void setContStartDate(String contStartDate) {
        this.contStartDate = contStartDate;
    }

    public String getContEndDate() {
        return contEndDate;
    }

    public void setContEndDate(String contEndDate) {
        this.contEndDate = contEndDate;
    }

    public String getLoanStartDate() {
        return loanStartDate;
    }

    public void setLoanStartDate(String loanStartDate) {
        this.loanStartDate = loanStartDate;
    }

    public String getLoanEndDate() {
        return loanEndDate;
    }

    public void setLoanEndDate(String loanEndDate) {
        this.loanEndDate = loanEndDate;
    }

    public String getRepayDate() {
        return repayDate;
    }

    public void setRepayDate(String repayDate) {
        this.repayDate = repayDate;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getLeader() {
        return leader;
    }

    public void setLeader(String leader) {
        this.leader = leader;
    }

    public String getDataSts() {
        return dataSts;
    }

    public void setDataSts(String dataSts) {
        this.dataSts = dataSts;
    }

    public String getLoanType() {
        return loanType;
    }

    public void setLoanType(String loanType) {
        this.loanType = loanType;
    }

    public String getPactSts() {
        return pactSts;
    }

    public void setPactSts(String pactSts) {
        this.pactSts = pactSts;
    }

    public String getLoanStatus() {
        return loanStatus;
    }

    public void setLoanStatus(String loanStatus) {
        this.loanStatus = loanStatus;
    }

    public String getLoanForm() {
        return loanForm;
    }

    public void setLoanForm(String loanForm) {
        this.loanForm = loanForm;
    }

    public Double getEncashAmt() {
        return encashAmt;
    }

    public void setEncashAmt(Double encashAmt) {
        this.encashAmt = encashAmt;
    }

    public Double getLoanRate() {
        return loanRate;
    }

    public void setLoanRate(Double loanRate) {
        this.loanRate = loanRate;
    }

    public Double getOverRate() {
        return overRate;
    }

    public void setOverRate(Double overRate) {
        this.overRate = overRate;
    }

    public String getRateType() {
        return rateType;
    }

    public void setRateType(String rateType) {
        this.rateType = rateType;
    }

    public String getClearDate() {
        return clearDate;
    }

    public void setClearDate(String clearDate) {
        this.clearDate = clearDate;
    }

    public String getRepayMethod() {
        return repayMethod;
    }

    public void setRepayMethod(String repayMethod) {
        this.repayMethod = repayMethod;
    }

    public int getTerms() {
        return terms;
    }

    public void setTerms(int terms) {
        this.terms = terms;
    }

    public int getCurTerm() {
        return curTerm;
    }

    public void setCurTerm(int curTerm) {
        this.curTerm = curTerm;
    }

    public String getRepayCycle() {
        return repayCycle;
    }

    public void setRepayCycle(String repayCycle) {
        this.repayCycle = repayCycle;
    }

    public Long getGraceDay() {
        return graceDay;
    }

    public void setGraceDay(Long graceDay) {
        this.graceDay = graceDay;
    }

    public String getDeductType() {
        return deductType;
    }

    public void setDeductType(String deductType) {
        this.deductType = deductType;
    }

    public String getAccountDesc() {
        return accountDesc;
    }

    public void setAccountDesc(String accountDesc) {
        this.accountDesc = accountDesc;
    }

    public String getAccountState() {
        return accountState;
    }

    public void setAccountState(String accountState) {
        this.accountState = accountState;
    }

    public String getLoanSeqNo() {
        return loanSeqNo;
    }

    public void setLoanSeqNo(String loanSeqNo) {
        this.loanSeqNo = loanSeqNo;
    }

    public String getRepaySeqNo() {
        return repaySeqNo;
    }

    public void setRepaySeqNo(String repaySeqNo) {
        this.repaySeqNo = repaySeqNo;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public Integer getRepayTermNo() {
        return repayTermNo;
    }

    public void setRepayTermNo(Integer repayTermNo) {
        this.repayTermNo = repayTermNo;
    }

    public String getDeduWay() {
        return deduWay;
    }

    public void setDeduWay(String deduWay) {
        this.deduWay = deduWay;
    }

    public Double getRepayAmt() {
        return repayAmt;
    }

    public void setRepayAmt(Double repayAmt) {
        this.repayAmt = repayAmt;
    }

    public Double getIncomeAmt() {
        return incomeAmt;
    }

    public void setIncomeAmt(Double incomeAmt) {
        this.incomeAmt = incomeAmt;
    }

    public Double getRepayPrin() {
        return repayPrin;
    }

    public void setRepayPrin(Double repayPrin) {
        this.repayPrin = repayPrin;
    }

    public Double getRepayIntr() {
        return repayIntr;
    }

    public void setRepayIntr(Double repayIntr) {
        this.repayIntr = repayIntr;
    }

    public Double getRepayPnlt() {
        return repayPnlt;
    }

    public void setRepayPnlt(Double repayPnlt) {
        this.repayPnlt = repayPnlt;
    }

    public Double getRepayFee() {
        return repayFee;
    }

    public void setRepayFee(Double repayFee) {
        this.repayFee = repayFee;
    }

    public Double getRepayOverFee() {
        return repayOverFee;
    }

    public void setRepayOverFee(Double repayOverFee) {
        this.repayOverFee = repayOverFee;
    }

    public Double getExpIntr() {
        return expIntr;
    }

    public void setExpIntr(Double expIntr) {
        this.expIntr = expIntr;
    }

    public Double getExpPnlt() {
        return expPnlt;
    }

    public void setExpPnlt(Double expPnlt) {
        this.expPnlt = expPnlt;
    }

    public Double getExpPnltFee() {
        return expPnltFee;
    }

    public void setExpPnltFee(Double expPnltFee) {
        this.expPnltFee = expPnltFee;
    }

    public Double getIncomePnlt() {
        return incomePnlt;
    }

    public void setIncomePnlt(Double incomePnlt) {
        this.incomePnlt = incomePnlt;
    }

    public String getCifNo() {
        return cifNo;
    }

    public void setCifNo(String cifNo) {
        this.cifNo = cifNo;
    }

    public String getCifName() {
        return cifName;
    }

    public void setCifName(String cifName) {
        this.cifName = cifName;
    }

    public String getBorwType() {
        return borwType;
    }

    public void setBorwType(String borwType) {
        this.borwType = borwType;
    }

    public String getCertType() {
        return certType;
    }

    public void setCertType(String certType) {
        this.certType = certType;
    }

    public String getCertNo() {
        return certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getFundNo() {
        return fundNo;
    }

    public void setFundNo(String fundNo) {
        this.fundNo = fundNo;
    }

    public String getOpenBankAccount() {
        return openBankAccount;
    }

    public void setOpenBankAccount(String openBankAccount) {
        this.openBankAccount = openBankAccount;
    }

    public String getOpenBankName() {
        return openBankName;
    }

    public void setOpenBankName(String openBankName) {
        this.openBankName = openBankName;
    }

    public String getOpenAccountName() {
        return openAccountName;
    }

    public void setOpenAccountName(String openAccountName) {
        this.openAccountName = openAccountName;
    }

    public String getOpenAccountNo() {
        return openAccountNo;
    }

    public void setOpenAccountNo(String openAccountNo) {
        this.openAccountNo = openAccountNo;
    }

    public String getPactId() {
        return pactId;
    }

    public void setPactId(String pactId) {
        this.pactId = pactId;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getPactNo() {
        return pactNo;
    }

    public void setPactNo(String pactNo) {
        this.pactNo = pactNo;
    }

    public String getBrAccType() {
        return brAccType;
    }

    public void setBrAccType(String brAccType) {
        this.brAccType = brAccType;
    }

    public String getVouType() {
        return vouType;
    }

    public void setVouType(String vouType) {
        this.vouType = vouType;
    }

    public String getPayMent() {
        return payMent;
    }

    public void setPayMent(String payMent) {
        this.payMent = payMent;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }
}
