package com.abssqr.plat.test.testlink;

import com.abssqr.plat.common.dal.mysql.auto.dao.AcctDateDAO;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAlloc;
import com.abssqr.plat.common.facade.param.plan.alloc.PlanAllocCfrmCalcParam;
import com.abssqr.plat.common.facade.result.plan.PlanAllocVO;
import com.abssqr.plat.common.facade.service.plan.PlanAllocService;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import static org.unitils.reflectionassert.ReflectionAssert.assertReflectionEquals;

public class PlanAllocAmtCalcNormalTest extends BaseAutoTests {

    @Autowired
    private PlanAllocService planAllocService;

    @Autowired
    private AcctDateDAO acctDateDAO;

    @XTest(relatePath = "testlink/plan/planAllocAmtCalc")
    @Test(dataProvider = "YamlDataProvider", description = "根据金额计算分配计划分摊")
    public void calcCfrmAmtByAmt(ICase iCase, String acctDate, PlanAllocCfrmCalcParam param, PlanAlloc expPlanAlloc) {

        // 更新会计日期
        try {
            super.updateDate(acctDate, OrgCodeEnum.ABS.getCode());
            // 调用接口
            PlanAllocVO acpPlanAlloc = planAllocService.calcCfrmByAmt(param, PlanTypeEnum.PLAN);

            // 校验数据
            assertReflectionEquals(expPlanAlloc, acpPlanAlloc);
        }  finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }

    }

}
