package com.abssqr.plat.test.testlink.ast;

import java.util.List;

import com.abssqr.plat.common.dal.mysql.auto.dao.LoanDAO;
import com.abssqr.plat.common.dal.mysql.auto.dao.LoanLogDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanDO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanLogDO;
import com.abssqr.plat.common.model.wk.domain.sync.WkMfsSyncCtr;
import com.abssqr.plat.common.model.wk.repo.WkMfsSyncCtrRepo;
import com.abssqr.plat.common.util.base.autoconfig.AbsConfig;
import com.abssqr.plat.core.service.host.HostManager;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.model.exception.BaseCommonException;
import com.general.system.common.util.DateTimeUtil;
import com.general.system.common.util.SystemDateUtil;
import org.assertj.core.util.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;
public class SyncDataNormalTest extends BaseAutoTests {
    
    @Autowired
    WkMfsSyncCtrRepo wkMfsSyncCtrRepo;
    @Autowired
    HostManager      hostManager;
    @Autowired
    private LoanLogDAO loanLogDAO;
    @Autowired
    private LoanDAO loanDAO;
    @Autowired
    private AbsConfig config;

    /**
     * 资产同步
     * 新增资产
     * 存量资产
     *
     * @param iCase
     * @param flag
     * @param syncNode
     */
    @XTest(relatePath = "testlink/ast/syncData")
    @Test(dataProvider = "YamlDataProvider", description = "同步数据")
    public void syncData(ICase iCase, Boolean flag, WkMfsSyncCtr syncNode) {

        try {
            config.setWkxwDbName("mfsbaid");
            config.setWkxwSynonymPre(".");
            syncNode.setAbsSyncDate(DateTimeUtil.getStandardDate(syncNode.getAbsSyncDate()));
            // 执行同步任务
            syncNode.setId(1L);
            int upCnt = wkMfsSyncCtrRepo.updateTaskExec(SystemDateUtil.getSystemDate(),
                    hostManager.getHostInfo().getHostName(), Lists.newArrayList(syncNode.getId()));
            //astSyncExecutor.execute(syncNode);

            List<LoanLogDO> loanLog = loanLogDAO.getByOutAstNoAndEventCode(syncNode.getLoanId(), "AST00030002");
            if(loanLog.size() == 1){
                String bizNo = loanLog.get(0).getBizNo();
                putDbCkParam("bizNo", bizNo);
            }

            // 查询系统生成的AstNo
            LoanDO loan = loanDAO.getByOutAstNo(syncNode.getLoanId(), syncNode.getOrgNo());
            if(loan != null){
                putDbCkParam("astNo", loan.getAstNo());
            }

        } catch (BaseCommonException e) {
            e.printStackTrace();
            if (Boolean.TRUE.equals(flag)) {
                throw new BaseCommonException("===期望结果为成功，但实际结果为失败===");
            }
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
