package com.abssqr.plat.test.testlink.plan;

import com.abssqr.plat.biz.shared.scheduler.job.plan.PlanDailyJob;
import com.abssqr.plat.common.dal.mysql.auto.dao.AcctDateDAO;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

public class PlanDailyJobNormalTask extends BaseAutoTests {
    
    @Autowired
    private PlanDailyJob planDailyJob;
    
    @Autowired
    private AcctDateDAO acctDateDAO;
    
    @XTest(relatePath = "testlink/plan/planDailyJob")
    @Test(dataProvider = "YamlDataProvider", description = "计划资产需求统计任务")
    public void planDailyJob(ICase iCase, String acctDate) {
        try {
            super.updateDate(acctDate, OrgCodeEnum.ABS.getCode());

            planDailyJob.execute(null);

        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
        
    }
}
