/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.test.unittest.astScreenRule;

import com.abssqr.plat.common.dal.mysql.auto.dao.BizDataChangeDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.BizDataChangeDO;
import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.abssqr.plat.common.facade.param.ast.AstScreenRuleEditParam;
import com.abssqr.plat.common.facade.service.ast.AstScreenRuleService;
import com.abssqr.plat.core.service.change.ChangeManager;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.bpm.domain.result.ProcessAfterResult;
import com.general.system.bpm.enums.ApproveStatusEnum;
import com.general.system.core.common.constant.factory.ConstantFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 *
 * @author yangcheng
 * @version AstScreenRuleEditUnitTest.java, v0.12019-06-1000:09 yangchengExp$
 */
public class AstScreenRuleEditUnitTest extends BaseAutoTests {
    @Autowired
    private AstScreenRuleService astScreenRuleService;
    @Autowired
    private BizDataChangeDAO     bizDataChangeDAO;
    @Autowired
    private ChangeManager        changeManager;
    
    @XTest(relatePath = "unittest/astScreenRule/edit/normal")
    @Test(dataProvider = "YamlDataProvider", description = "筛选规则新增测试")
    public void initPlanAcctTitles(ICase iCase, AstScreenRuleEditParam param) {
        try {
            ConstantFactory.me().securityLogin("administrator");
            AstScreenRule screenRule = astScreenRuleService.addOrUpdate(param);
            
            BizDataChangeDO bizData = bizDataChangeDAO.getByBizNoAndStatus(screenRule.getScreenRuleNo(), "PENDING");
            if (bizData != null) {
                // 审批
                ProcessAfterResult result = new ProcessAfterResult();
                result.setBusinessKey(bizData.getChangeNo());
                result.setStatusEnum(ApproveStatusEnum.PASSED);
                changeManager.handle(result);
            }
            putDbCkParam("abssqrAstScreenRuleCode", screenRule.getScreenRuleNo());
            
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
