/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.test.unittest.notice;

import com.abssqr.plat.common.facade.enums.AbssqrNoticeTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.abssqr.plat.core.service.notice.AbssqrNoticeManager;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * @author hanfei
 * @version $Id: AbssqrNoticeManagerTest.java, v 0.1 2019-07-26 6:22 PM hanfei Exp $
 */
//@ActiveProfiles("dev")
public class AbssqrNoticeSendTest extends BaseAutoTests {
    @Autowired
    private AbssqrNoticeManager abssqrNoticeManager;
    
    @XTest(relatePath = "unittest/notice/business")
    @Test(dataProvider = "YamlDataProvider", description = "业务通知测试")
    public void bussinessNotice(ICase iCase) {
        try {
            PlanBase planBase = new PlanBase();
            planBase.setPlanNo("单元测试计划");
            planBase.setPlanName("单元测试计划");
            
            abssqrNoticeManager.sendBusinessNotice(planBase, planBase.getPlanNo(), AbssqrNoticeTypeEnum.PlanAllocRisk,
                    "项目名称 : [1009]机构[100901-好期贷]产品通知内容 : [1009]机构[100901-好期贷]产品[24]条资产同步执行次数大于10次，请排查具体原因！",
                    null);
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
    
    @XTest(relatePath = "unittest/notice/sys")
    @Test(dataProvider = "YamlDataProvider", description = "系统通知测试")
    public void sysNotice(ICase iCase) {
        try {
            abssqrNoticeManager.sendSystemNotice(null, null, AbssqrNoticeTypeEnum.WkMfsModTransform,
                    "模型转换异常，异常数量1，最大重试次数200",
                    null);
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
