/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.test.unittest.plan;

import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.model.plan.Plan;
import com.abssqr.plat.common.facade.model.plan.PlanAlloc;
import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.abssqr.plat.core.service.plan.PlanAllocAmtCalcManager;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.plat.test.testobj.PlanAcctTitleList;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.model.Money;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import java.util.Date;

import static org.unitils.reflectionassert.ReflectionAssert.assertReflectionEquals;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.test.unittest.plan: PlanAllocAmtCalcManagerUnitTest.java, v 0.1 2019-06-04 15:56 zhenxuan.luo Exp $ 
 */
public class PlanAllocAmtCalcManagerUnitTest extends BaseAutoTests {
    
    @Autowired
    private PlanAllocAmtCalcManager planAllocAmtCalcManager;
    
    @XTest(relatePath = "unittest/plan/PlanAllocAmtCalcManager/calcCfrmAmtByAmt")
    @Test(dataProvider = "YamlDataProvider", description = "初始化科目")
    public void calcCfrmAmtByAmt(ICase iCase, Date accountDate, Plan plan, Long alloAmtCent, PlanAlloc planAlloc,
                                 PlanAcctTitleList planAcctTitles, PlanAlloc expPlanAlloc,
                                 PlanAcctTitleList expPlanAcctTitles) {
        try {
            Money allocAmt = new Money(alloAmtCent);
            
            PlanBase planEntity = new PlanBase();
            planEntity.setPlanNo(plan.getPlanNo());
            planEntity.setPlanName(plan.getPlanName());
            planEntity.setEffectDate(plan.getEffectDate());
            planEntity.setVatRate(plan.getVatRate());
            planEntity.setStatus(plan.getStatus());
            planEntity.setApproveStatus(plan.getApproveStatus());
            planEntity.setCalcIntrType(plan.getCalcIntrType());
            planEntity.setPlanType(PlanTypeEnum.PLAN);
            planEntity.setLastUpdateDate(plan.getLastUpdateDate());
            planAllocAmtCalcManager
                    .calcCfrmAmtByAmt(planEntity, allocAmt, planAlloc, planAcctTitles.getPlanAcctTitles());
            
            // 校验数据
            assertReflectionEquals(expPlanAlloc.getPlanAllocItemList(), planAlloc.getPlanAllocItemList());
            assertReflectionEquals(expPlanAcctTitles.getPlanAcctTitles(), planAcctTitles.getPlanAcctTitles());
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}