/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.test.unittest.transfer;

import com.abssqr.plat.biz.shared.dispatcher.transfer.AstTrTaskExecutor;
import com.abssqr.plat.common.dal.mysql.auto.dao.AcctDateDAO;
import com.abssqr.plat.common.model.domain.task.TrTask;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.model.exception.BaseCommonException;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.test.unittest.ast: LoanAstTrManagerUnitTest.java, v 0.1 2019-11-15 上午03:49 zhenxuan.luo Exp $ 
 */
public class AstTrTaskExecutorUnitFuncTest extends BaseAutoTests {
    
    @Autowired
    private AstTrTaskExecutor astTrTaskExecutor;
    @Autowired
    private AcctDateDAO acctDateDAO;
    
    @XTest(relatePath = "unittest/transfer/function")
    @Test(dataProvider = "YamlDataProvider", description = "转让执行测试")
    public void execute(ICase iCase, TrTask trTask, Boolean flag){

        try {
            astTrTaskExecutor.execute(trTask);

        }catch(BaseCommonException e){
            if (Boolean.TRUE.equals(flag)) {
                throw new BaseCommonException("===期望结果为成功，但实际结果为失败===");
            }else{
                Assert.assertEquals(e.getMessage(), iCase.getContext().get("exp"));
            }
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }

    }
}