/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.web.controller.loan;

import com.abssqr.plat.common.facade.param.loan.LoanAstQryParam;
import com.abssqr.plat.common.facade.param.loan.LoanAstTermQryParam;
import com.abssqr.plat.common.facade.param.loan.LoanPageQryParam;
import com.abssqr.plat.common.facade.param.loan.LoanQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.LoanDelVO;
import com.abssqr.plat.common.facade.result.ast.LoanDetail;
import com.abssqr.plat.common.facade.result.ast.LoanInstalDetail;
import com.abssqr.plat.common.facade.result.ast.LoanListVO;
import com.abssqr.plat.common.facade.service.ast.SpvLoanService;
import com.abssqr.plat.common.model.domain.ast.Loan;
import com.general.enhanced.controller.annotation.RestJsonController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 放款池资产相关服务
 * @author hanfei
 * @version $Id: SpvLoanController.java, v 0.1 2019-12-12 5:20 PM hanfei Exp $ 
 */
@RestJsonController
@RequestMapping("/spv")
public class SpvLoanController {
    
    @Autowired
    private SpvLoanService spvLoanService;
    
    /**
     * 项目计划概要信息
     * @param param
     * @return
     */
    @RequestMapping(path = "/info.json", method = RequestMethod.GET)
    public LoanDelVO getAst(LoanQryParam param) {
        return spvLoanService.getSpvDetail(param);
    }
    
    /**
     * 分页查询计划下的资产信息
     * @param param
     * @return
     */
    @RequestMapping(path = "/ast/page.json", method = RequestMethod.GET)
    public BasePage<LoanListVO> queryLoanPage(LoanPageQryParam param) {
        return spvLoanService.queryLoanPage(param);
    }
    
    /**
     * 计划下资产详情
     * @param param
     * @return
     */
    @RequestMapping(path = "/ast/info.json", method = RequestMethod.GET)
    public LoanDetail getLoanDetail(LoanAstQryParam param) {
        return spvLoanService.getLoanDetail(param);
    }
    
    /**
     * 分期资产收益详情
     * @param param
     * @return
     */
    @RequestMapping(path = "/ast/profit.json", method = RequestMethod.GET)
    public LoanInstalDetail getLoanProfitDetail(LoanAstTermQryParam param) {
        return spvLoanService.getLoanInstalDetail(param);
    }
    
//    /**
//     * 计划下资产详情
//     * @param astNo
//     * @return
//     */
//    @RequestMapping(path = "/ast/test.json", method = RequestMethod.GET)
//    public Object test(@RequestParam String astNo) {
//        return spvLoanService.testLoan(astNo);
//    }
}
