/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.web.controller.plan;

import com.abssqr.plat.common.facade.model.plan.PlanCapitalLog;
import com.abssqr.plat.common.facade.param.base.CommonPlanLogQryParam;
import com.abssqr.plat.common.facade.param.plan.log.PlanCapitalLogPageQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.service.plan.PlanCapitalLogService;
import com.general.enhanced.controller.annotation.RestJsonController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * @author zhenxuan.luo
 * @version com.abssqr.plat.web.controller.plan: PlanMonitorController.java, v 0.1 2019-05-28 15:44 zhenxuan.luo Exp $
 */
@RestJsonController
public class PlanCapitalLogController {
    
    @Autowired
    private PlanCapitalLogService planCapitalLogService;
    
    /**
     * @param param
     * @return
     * @description 查询计划资金交易流水列表
     */
    @RequestMapping(path = "/plan/capitalLog/getList.json", method = RequestMethod.GET)
    public BasePage<PlanCapitalLog> getList(PlanCapitalLogPageQryParam param) {
        return planCapitalLogService.queryLogList(param);
    }
    
    /**
     * @param param
     * @return
     * @description 查询计划资金交易流水详情
     */
    @RequestMapping(path = "/plan/capitalLog/getDtl.json", method = RequestMethod.GET)
    public PlanCapitalLog getDtl(CommonPlanLogQryParam param) {
        return planCapitalLogService.queryLogDtl(param);
    }
}