/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.web.controller.rule;

import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.abssqr.plat.common.facade.param.ast.AstScreenRuleEditParam;
import com.abssqr.plat.common.facade.param.ast.AstScreenRulePageQryParam;
import com.abssqr.plat.common.facade.param.ast.AstScreenRuleQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstScreenRuleVO;
import com.abssqr.plat.common.facade.service.ast.AstScreenRuleService;
import com.general.enhanced.controller.annotation.RestJsonController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 筛选规则controller
 * @author yaphet
 * @version com.abssqr.web.controller.rule: AstScreeningRuleController.java, v 0.1 2018-03-06 下午2:39 yaphet Exp $
 */
@RestJsonController
public class AstScreenRuleController {
    @Autowired
    private AstScreenRuleService astScreenRuleService;

    /**
     * @param param
     * @return
     * @description 查询筛选规则列表
     */
    @RequestMapping(path = "/ast/screen/list.json", method = RequestMethod.GET)
    public BasePage<AstScreenRuleVO> getOrgList(AstScreenRulePageQryParam param) {
        return astScreenRuleService.getAstScreenList(param);
    }


    /**
     * 增加筛选规则
     *
     * @param param
     * @return
     */
    @RequestMapping(path = "/ast/screen/edit.json", method = RequestMethod.POST)
    public AstScreenRule editProd(@RequestBody AstScreenRuleEditParam param){
        return   astScreenRuleService.addOrUpdate(param);
    }

    /**
     * 获取筛选规则
     *
     * @param param
     * @return productBO
     */
    @RequestMapping(path = "/ast/screen/get.json", method = RequestMethod.GET)
    public AstScreenRule getProd(AstScreenRuleQryParam param) {
        return astScreenRuleService.getAstScreenRule(param);
    }

}
